## glFusion CMS

glFusion CMS is a content management and publishing system. It can be utilized as a content publishing system, a collaboration system, and even an application development framework. Regardless how you use it, glFusion CMS provides all the tools necessary to quickly create and maintain a content driven web site. glFusion CMS also provides a rich application development environment.

glFusion CMS is well organized and provides a very powerful system that is extremely easy to use. glFusion CMS powers everything from personal blogs, to high volume community discussion sites, and almost everything in between.

## Features

* Multiple types of content - stories, comments, media, pages, and more.
* Content integration using auto tags - easily integrate multi-media components into stories and other types of content.
* Built in spam and bot protections right out of the box.
* Submission queues - allows site admins to review and approve content (optional).
* Social integration for sharing content
* Support for external comment engines, Facebook comments and Disqus
* Flexible Forum allows for collaboration - including content integration, flexible security controls, and attachment capabilities.
* Create, Schedule, Post and Edit articles in multiple topics.
* Save story drafts until they are ready for publishing.
* Control over formatting used in articles (HTML white lists).
* Control over acceptable content (filtering of offensive language).
* Embed images or other content in articles.
* Multiple Authors can post.
* Support for comments, trackbacks and pingbacks.
* Export and import in all common syndication formats (RSS/RDF/Atom etc).
* Calendar functions with support for personalized calendars.
* Support for Google, Facebook, Twitter, and other remote authentication methods.
* Extendable via numerous plugins.

## Documentation

Please head over to our documentation wiki at
<a href="https://www.glfusion.org/wiki/doku.php">https://www.glfusion.org/wiki/doku.php</a> for all the details on how to
install, extend and use the glFusion CMS.

## Support

The best support method for glFusion CMS is the glFusion Web Site located at
<a href="https://www.glfusion.org" target="_blank">https://www.glfusion.org</a>.  There is an active community ready to help out.

Please do not email the developers directly - there is a good chance the email will be
missed due to the high volume of email they receive.
The <a href="https://www.glfusion.org" target="_blank">glFusion Website</a>
and <a href="https://discord.gg/aESFqh6" target="_blank">glFusion Online Chat hosted by Discord</a>
are the best methods to receive support. The goal is to have questions asked and
answered in a publicly available place so everyone can benefit from the answer
and other experienced users can provide insight and answers.

The glFusion CMS documentation is located at <a href="https://www.glfusion.org/wiki/doku.php" target="_blank">
https://www.glfusion.org/wiki/doku.php</a>.

The mailing list for announcements is glfusion-announce@freelists.org. You can
subscribe at <a href="http://www.freelists.org/list/glfusion-announce" target="_blank">http://www.freelists.org/list/glfusion-announce</a>. This list is an
extremely low traffic mailing list.

The mailing list for development discussions is
glfusion-development@freelists.org. You can subscribe at
<a href="http://www.freelists.org/list/glfusion-development" target="_blank">http://www.freelists.org/list/glfusion-development</a>.

## System Requirements and Installation

Visit the glFusion Wiki at https://www.glfusion.org/wiki/glfusion:start for the
latest in requirements, installation, and upgrade documentation.

## Demo

You can visit our demo site to become familiar with the basic features of
glFusion.

<a href="https://demo.glfusion.org" target="_blank">https://demo.glfusion.org</a>

## License
glFusion is licensed under the terms of the GNU General Public License
Version 2.

