<?php
###############################################################################
# german_formal.php
#
# This is the German language file for glFusion, addressing the user as "Sie"
# (formal German). See german.php for a language file addressing the
# user with the informal "Du".
#
# Author:		Dirk Haun <dirk AT haun-online DOT de>
#				Markus Wollschlaeger
# Modifiziert:	Tony Kluever (August 2009)
#               Siegfried Gutschi (Oktober 2017) <sigi AT modellbaukalender DOT info>
# Based on the original english.php, started by Jason Whittenburg.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
###############################################################################

if (!defined ('GVERSION')) {
    die ('This file cannot be used on its own.');
}

$LANG_CHARSET = 'iso-8859-15';

$LANG_LOCALE = 'de_DE';

###############################################################################
# Array Format:
# $LANGXX[YY]:  $LANG - variable name
#               XX    - file id number
#               YY    - phrase id number
###############################################################################

###############################################################################
# USER PHRASES - These are file phrases used in end user scripts
###############################################################################

###############################################################################
# lib-common.php

$LANG01 = array(
    1 => 'Autor:',
    2 => 'Mehr lesen',
    3 => 'Kommentar(e)',
    4 => 'Bearbeiten',
    5 => 'Umfrage',
    6 => 'Ergebnisse',
    7 => '',
    8 => 'Stimmen',
    9 => 'Admin-Funktionen:',
    10 => 'Einsendungen',
    11 => 'Artikel Verwaltung',
    12 => 'Blcke',
    13 => 'Kategorien',
    14 => '',
    15 => '',
    16 => '',
    17 => 'Benutzer Verwaltung',
    18 => 'SQL-Abfrage',
    19 => 'Abmelden',
    20 => 'Benutzerinformation:',
    21 => 'Benutzername',
    22 => 'Benutzer-ID',
    23 => 'Sicherheitsstufe',
    24 => 'Gast',
    25 => 'Antwort',
    26 => 'Die folgenden Kommentare geben Meinungen von Lesern wieder und entsprechen nicht notwendigerweise der Meinung der Seitenbetreiber. Die Betreiber behalten sich die Lschung von Kommentaren vor.',
    27 => 'Neuester Beitrag',
    28 => 'Lschen',
    29 => 'Keine Kommentare.',
    30 => 'ltere Artikel',
    31 => 'Erlaubte HTML-Tags: ',
    32 => 'Fehler: Ungltiger Benutzername',
    33 => 'Fehler: Konnte nicht ins Logfile schreiben',
    34 => 'Fehler',
    35 => 'Abmelden',
    36 => 'am',
    37 => 'Keine Artikel.',
    38 => 'News-Feed',
    39 => 'Aktualisieren',
    40 => 'In Ihrer <b>php.ini</b> ist <b>register_globals = Off</b> eingestellt. glFusion bentigt jedoch <b>register_globals = On</b>. Bitte ndern Sie dies und starten Sie Ihren Webserver neu.',
    41 => 'Gste',
    42 => 'Verfasst von:',
    43 => 'Antworten',
    44 => 'Vorherige',
    45 => 'MySQL Fehlernummer',
    46 => 'MySQL Fehlermeldung',
    47 => 'Mein Konto',
    48 => 'Konto Einstellungen',
    49 => 'Einstellungen',
    50 => 'Fehler im SQL-Befehl',
    51 => 'Hilfe',
    52 => 'Neu',
    53 => 'Kommandozentrale',
    54 => 'Konnte die Datei nicht ffnen:',
    55 => 'Fehler in,',
    56 => 'Abstimmen',
    57 => 'Passwort',
    58 => 'Anmelden',
    59 => "Als <a href=\"{$_CONF['site_url']}/users.php?mode=new\" rel=\"nofollow\">neuer Benutzer</a> registrieren",
    60 => 'Kommentar schreiben',
    61 => 'Neues Konto anlegen',
    62 => 'Wrter',
    63 => 'Kommentar-Einstellungen',
    64 => 'Artikel an einen Freund senden',
    65 => 'Druckfhige Version anzeigen',
    66 => '',
    67 => 'Willkommen bei ',
    68 => 'Startseite',
    69 => 'Kontakt',
    70 => 'Suchen',
    71 => 'Beitrag',
    72 => 'Links',
    73 => '',
    74 => '',
    75 => 'Erweiterte Suche',
    76 => 'Statistik',
    77 => 'Plugins',
    78 => '',
    79 => 'Was ist neu',
    80 => 'Artikel in den letzten',
    81 => 'Artikel in den letzten',
    82 => 'Stunden',
    83 => 'Kommentare',
    84 => '',
    85 => 'der letzten 48 Stunden',
    86 => 'Keine neuen Kommentare',
    87 => 'der letzten 2 Wochen',
    88 => '',
    89 => '',
    90 => 'Startseite',
    91 => 'Seite erzeugt in',
    92 => 'Sekunden',
    93 => 'Copyright',
    94 => "<a href=\"{$_CONF['site_url']}/page.php?page=terms-of-use\">Nutzungsbedingungen</a>&nbsp;&nbsp;&bull;&nbsp;&nbsp;<a href=\"{$_CONF['site_url']}/page.php?page=privacy-policy\">Datenschutz-Bestimmungen</a>",
    95 => 'Durch',
    96 => 'Gruppen',
    97 => 'Wortliste',
    98 => 'Plugins',
    99 => 'Artikel',
    100 => 'Keine neuen Artikel',
    101 => 'Alle Marken und Urheberrechte auf dieser Seite befinden sich im Besitz der jeweiligen Eigentmer.',
    102 => '',
    103 => 'Datenbank-Verwaltung',
    104 => 'von',
    105 => 'Mail an Benutzer',
    106 => 'Aufrufe:',
    107 => 'Aktualisierung verfgbar?',
    108 => 'Cache lschen',
    109 => 'Beitrag melden',
    110 => 'Diesen Beitrag einem Admin melden',
    112 => 'Registrierte Benutzer',
    113 => 'Dokumentation',
    114 => 'Trackbacks',
    115 => 'Keine neuen Trackbacks',
    116 => 'Trackback',
    117 => 'Verzeichnis',
    118 => 'Fortsetzung auf der nchsten Seite:',
    119 => "<a href=\"{$_CONF['site_url']}/users.php?mode=getpassword\" rel=\"nofollow\">Passwort vergessen?</a>",
    120 => 'Dauerhafter Link zu diesem Kommentar',
    121 => 'Kommentare (%d)',
    122 => 'Trackbacks (%d)',
    123 => 'Alle HTML-Tags sind erlaubt',
    124 => 'Alle markierten Eintrge lschen',
    125 => 'Wollen Sie wirklich alle markierten Eintrge lschen?',
    126 => 'Alle Eintrge markieren oder abwhlen',
    127 => 'Dauerhafter Link',
    128 => '',
    129 => 'Konfiguration',
    130 => 'Internetdienste',
    500 => 'Bitte nach der Installation oder der Aktualisierung das ../pfad/zu/glfusion/admin/install Verzeichnis lschen!',
    501 => 'Root Debug ist eingeschaltet',
    502 => 'No fail SQL ist eingeschaltet',
    503 => 'Wartungsmodus - Zugriff nur fr Administratoren',
    504 => 'Datenbankversion: %s<br />glFusion Scriptversion: %s<br />Bitte das <a href="%s">Installationsscript</a> zum aktualisieren der Datenbank ausfhren!',
    505 => 'Datenbankversion: %s<br />glFusion Scriptversion: %s<br />Bitte berprfen Sie die Integritt Ihrer Seite!',
    'ctl' => 'Cache lschen',
    'logview' => 'Protokolle einsehen',
    'autotag_perms' => 'AutotagBerechtigungen',
    'subscribe' => 'Beitrag abonnieren',
    'unsubscribe' => 'Abonnement beenden',
    'view_online' => 'Klick <a href="%s">hier</a> um online zu sehen',
    'no_new_items' => 'Keine neuen Meldungen',
    'allowed_html' => 'Erlaubte HTML-Tags:',
    'posted_in' => 'Kategorie:',
    'continue_reading' => 'Weiterlesen',
    'menu' => 'Men',
    'show_allowed_content' => 'Erlaubte Inhalte anzeigen',
    'blocks_left_title' => 'Linke Seite',
    'blocks_right_title' => 'Rechte Seite',
    'blocks_footer_title' => 'Fuzeile',
    'source' => 'Quelle',
    'env_check' => 'Hosting-Umgebung prfen',
    'ok' => 'OK'
);

###############################################################################
# comment.php

$LANG03 = array(
    1 => 'Kommentar schreiben',
    2 => 'Format',
    3 => 'Abmelden',
    4 => 'Konto erstellen',
    5 => 'Benutzername',
    6 => 'Um einen Kommentar zu schreiben, mssen Sie angemeldet sein. Wenn Sie noch kein Konto haben, knnen Sie das untenstehende Formular verwenden, um ein Konto zu erstellen.',
    7 => 'Ihr letzter Kommentar war vor ',
    8 => " Sekunden. Zwischen zwei Kommentaren mssen aber mindestens {$_CONF['commentspeedlimit']} Sekunden vergangen sein.",
    9 => 'Kommentar',
    10 => 'Beitrag melden',
    11 => 'Kommentar absenden',
    12 => 'Bitte die Felder Betreff und Kommentar ausfllen, um einen Kommentar zu diesem Artikel abzugeben.',
    13 => 'Ihre Information',
    14 => 'Vorschau',
    15 => 'Diesen Beitrag melden',
    16 => 'Betreff',
    17 => 'Fehler',
    18 => 'Wichtige Hinweise:',
    19 => 'Bitte geben Sie nur Kommentare ab, die zum Thema gehren.',
    20 => 'Versuchen Sie mglichst auf andere Beitrge zu antworten, anstatt einen neuen Thread zu starten.',
    21 => 'Lesen Sie bitte die vorhandenen Kommentare bevor Sie ihren Eigenen abgeben, um nicht noch einmal zu schreiben, was schon gesagt wurde.',
    22 => 'Benutzen Sie eine eindeutige Betreffzeile, die den Inhalt ihres Kommentars zusammenfasst.',
    23 => 'Ihre E-Mail Adresse wird NICHT verffentlicht.',
    24 => 'Gast',
    25 => 'Sind Sie sicher, dass Sie diesen Beitrag als mglichen Missbrauch melden wollen?',
    26 => '%s meldete den folgenden Beitrag als mglichen Missbrauch:',
    27 => 'Missbrauch melden',
    28 => 'Vorschau der nderungen',
    29 => 'nderungen absenden',
    30 => 'Bearbeitet am',
    31 => 'von',
    32 => 'Kommentar bearbeiten',
    33 => 'Eingesendeten Kommentar bearbeiten',
    34 => 'Vorschau der nderungen',
    35 => 'nderungen in Warteschlange speichern',
    36 => 'Benachrichtige mich bei Antworten',
    37 => 'Neue Antwort auf Kommentar',
    38 => 'Jemand hat auf Ihren Kommentar geantwortet.',
    39 => 'Sie knnen die Kommentare unter folgender Adresse einsehen: ',
    40 => 'Wenn Sie keine weiteren Benachrichtigungen erhalten mchten, besuchen Sie bitte folgenden Link: ',
    41 => 'Ein Kommentar bearbeiten',
    42 => 'Benachrichtigung ber neuen Kommentar',
    43 => 'Geschrieben von',
    44 => 'Verffentlicht',
    45 => 'Sie erhalten diese E-Mail, da Sie sich dafr entschieden haben, benachrichtigt zu werden, wenn ein neuer Kommentar verffentlicht wurde.',
    46 => 'Wenn Sie zu diesem Thema keine weiteren Benachrichtigungen erhalten mchten, besuchen Sie bitte folgenden Link: %s',
    47 => 'Benachrichtige mich per E-Mail, wenn es neue Antworten oder Kommentare zu diesem Beitrag gibt.',
    48 => 'Klicke Sie <a href="javascript:history.back()">hier</a> um zurckzukehren',
    49 => 'Kommentare sind geschlossen',
    50 => "Sie mssen sich <a href=\"{$_CONF['site_url']}/users.php\" rel=\"nofollow\">Anmelden</a> um schreiben zu drfen",
    51 => 'Sei der erste der kommentiert',
    52 => 'Ihr Kommentar wurde erfolgreich eingesendet und muss nur noch von unseren Moderatoren berprft und genehmigt werden.',
    53 => 'Ein neuer Kommentar wurde zur berprfung eingereicht.',
    54 => 'Neue Kommentare in der <a href="%s">Warteschlange</a> prfen bzw. lschen.',
    55 => 'Ein neuer Kommentar wurde eingesendet.',
    56 => 'Kommentar wurde berprft und verffentlicht.',
    57 => 'Stilles bearbeiten',
    58 => 'Kein Titel verfgbar'
);

###############################################################################
# users.php

$LANG04 = array(
    1 => 'Benutzerprofil fr',
    2 => 'Benutzername',
    3 => 'Vollstndiger Name',
    4 => 'Neues Passwort',
    5 => 'E-Mail',
    6 => 'Homepage',
    7 => 'Biographie',
    8 => 'PGP-Key',
    9 => 'Speichern',
    10 => 'Die letzten 10 Kommentare von',
    11 => 'Keine Kommentare',
    12 => 'Benutzereinstellungen fr',
    13 => 'Nchtliche Zusammenfassung',
    14 => 'Dieses Passwort wurde mit einem Zufallsgenerator erzeugt. Es wird empfohlen, nach dem Anmelden, das Passwort unter "Mein Konto", sofort zu ndern.',
    15 => "Ihr Konto fr {$_CONF['site_name']} wurde erfolgreich angelegt. Um es benutzen zu knnen, melden Sie sich bitte mit den folgenden Informationen an. Diese E-Mail bitte aufheben.",
    16 => 'Ihre Zugangsdaten',
    17 => 'Konto existiert nicht',
    18 => 'Die angegebene E-Mail Adresse scheint keine gltige E-Mail Adresse zu sein',
    19 => 'Dieser Benutzername oder diese E-Mail Adresse existieren bereits.',
    20 => 'Die angegebene E-Mail Adresse scheint keine gltige E-Mail Adresse zu sein',
    21 => 'Fehler',
    22 => "Registrieren bei {$_CONF['site_name']}!",
    23 => "Indem Sie sich bei {$_CONF['site_name']} registrieren, knnen Sie Artikel und Kommentare unter ihrem eigenen Namen verffentlichen (andernfalls geht das nur anonym).<br />brigens wird Ihre E-Mail Adresse <b>niemals</b> auf dieser Webseite angezeigt werden.",
    24 => 'Ihr Passwort wird Ihnen an die angegebene E-Mail Adresse gesendet.',
    25 => 'Passwort vergessen?',
    26 => 'Geben Sie <b>entweder</b> Ihren Benutzernamen <b>oder</b> Ihre E-Mail Adresse ein, mit der Sie sich registriert haben, und klicken Sie auf Passwort senden. Eine E-Mail mit einer Anleitung, wie Sie ein neues Passwort eingeben knnen, wird dann an die gespeicherte E-Mail Adresse gesendet.',
    27 => 'Jetzt registrieren!',
    28 => 'Passwort senden',
    29 => 'abgemeldet von',
    30 => 'angemeldet von',
    31 => 'Um diese Funktion nutzen zu knnen, mssen Sie angemeldet sein',
    32 => 'Signatur',
    33 => 'Diese Seite ist nicht ffentlich sichtbar!',
    34 => 'Ihr echter Name',
    35 => 'Passwort eingeben, um es zu ndern',
    36 => '(mit http://)',
    37 => 'Wird an Ihre Kommentare angefgt',
    38 => 'Alles ber Sie - fr alle sichtbar',
    39 => 'Ihr PGP-Key, sofern vorhanden',
    40 => 'Keine Kategorie-Icons',
    41 => 'Wollen Sie Moderieren?',
    42 => 'Datumsformat',
    43 => 'Artikel pro Seite',
    44 => 'Keine Blcke',
    45 => 'Anzeige-Einstellungen fr',
    46 => 'Nicht anzeigen fr',
    47 => 'Block-Einstellungen fr',
    48 => 'Kategorien',
    49 => 'Artikel ohne Icons',
    50 => 'Abwhlen, wenn es Sie nicht interessiert',
    51 => 'Nur die Artikel',
    52 => 'Standardeinstellung:',
    53 => 'Artikel jede Nacht empfangen',
    54 => 'Kategorien und Autoren auswhlen, die Sie NICHT sehen wollen.',
    55 => 'Wenn Sie hier nichts auswhlen, wird die Standard-Auswahl an Blcken angezeigt. Sobald Sie beginnen, Blcke auszuwhlen, werden auch nur noch diejenigen angezeigt, die ausgewhlt sind! Die Standard-Blcke sind <b>fett</b> markiert.',
    56 => 'Autoren',
    57 => 'Anzeigemodus',
    58 => 'Sortierreihenfolge',
    59 => 'Kommentarlimit',
    60 => 'Wie sollen Kommentare angezeigt werden?',
    61 => 'Neueste oder lteste zuerst?',
    62 => 'Standardwert: 100',
    63 => "Ihr Passwort sollte in Krze per E-Mail eintreffen. Bitte beachten Sie die Hinweise in der E-Mail und Danke fr ihr Interesse an {$_CONF['site_name']}",
    64 => 'Kommentar-Einstellungen fr',
    65 => "Anmeldung bei {$_CONF['site_name']}",
    66 => 'Bitte geben Sie Ihren Benutzernamen und Ihr Passwort ein.',
    67 => 'Mitglied seit',
    68 => 'Angemeldet fr',
    69 => 'Wie lange soll das System Sie nach dem Anmelden erkennen?',
    70 => "Aussehen und Inhalt von {$_CONF['site_name']} konfigurieren",
    71 => "Zu den groartigen Eigenschaften von {$_CONF['site_name']} gehrt, das Sie selbst festlegen knnen, welche Artikel Sie angezeigt bekommen. Darber hinaus knnen Sie auch das Aussehen der Webseite verndern. Um in den Genuss dieser Features zu kommen, mssen Sie sich jedoch zuerst bei {$_CONF['site_name']} <a href=\"{$_CONF['site_url']}/users.php?mode=new\" rel=\"nofollow\">Registrieren</a>. Falls Sie schon registriert sind, dann melden Sie sich bitte an.",
    72 => 'Erscheinungsbild',
    73 => 'Sprache',
    74 => 'Das Aussehen dieser Seite ndern',
    75 => 'Kategorie per E-Mail fr',
    76 => 'Whlen Sie Kategorien aus der folgenden Liste aus und Sie bekommen einmal pro Tag eine E-Mail mit einer bersicht aller neuen Artikel in den ausgewhlten Kategorien. Sie brauchen nur die Kategorien anzukreuzen, die Sie interessieren.',
    77 => 'Foto',
    78 => 'Ein Bild von Ihnen',
    79 => 'Ankreuzen, um dieses Bild zu lschen:',
    80 => 'Anmelden',
    81 => 'E-Mail senden',
    82 => 'Die letzten 10 Artikel von',
    83 => 'Statistik fr',
    84 => 'Gesamtanzahl Artikel:',
    85 => 'Gesamtanzahl Kommentare',
    86 => 'Alle Artikel und Kommentare von',
    87 => 'Ihr Benutzername',
    88 => "Jemand (hchstwahrscheinlich Sie selbst) hat ein neues Passwort fr Ihre Konto \"%s\" auf {$_CONF['site_name']} <{$_CONF['site_url']}> angefordert.<br /><br />Wenn Sie tatschlich ein neues Passwort bentigen, klicken Sie bitte auf den folgenden Link:<br /><br />",
    89 => 'Mchten Sie Ihr Passwort nicht ndern, so knnen Sie diese E-Mail einfach ignorieren (Ihr bisheriges Passwort bleibt dann unverndert gltig).',
    90 => 'Sie knnen hier jetzt ein neues Passwort fr ihren Konto eingeben. Ihr altes Passwort bleibt noch solange gltig, bis Sie dieses Formular absenden.',
    91 => 'Neues Passwort',
    92 => 'Neues Passwort eingeben',
    93 => 'Sie haben zuletzt vor %d Sekunden ein neues Passwort angefordert. Zwischen zwei Passwort-Anforderungen mssen aber mindestens %d Sekunden vergangen sein.',
    94 => 'Lsche Konto "%s"',
    95 => 'Sie knnen Ihr Konto lschen, indem Sie auf "Konto Lschen" klicken. Artikel und Kommentare, die Sie mit diesem Konto geschrieben hast, werden <b>nicht</b> gelscht, sondern fortan als vom Benutzer "Gast" geschrieben erscheinen.',
    96 => 'Konto Lschen',
    97 => 'Konto Lschen besttigen',
    98 => 'Sind Sie sicher, dass Sie Ihr Konto lschen wollen? Sie werden sich danach nicht mehr anmelden knnen (es sei denn, Sie legen einen neues Konto an). Wenn Sie sich sicher sind, klicken Sie bitte noch einmal auf "Konto Lschen".',
    99 => 'Datenschutzoptionen fr',
    100 => 'E-Mail von Admin',
    101 => 'Erlaube E-Mails von Seiten-Admins',
    102 => 'E-Mail von Benutzern',
    103 => 'Erlaube E-Mails von anderen Benutzern',
    104 => 'Online-Status zeigen',
    105 => 'Unter "Wer ist online?"',
    106 => 'Wohnort',
    107 => 'Erscheint im ffentlichen Profil',
    108 => 'Neues Passwort besttigen',
    109 => 'Gib hier das neue Passwort noch einmal ein',
    110 => 'Aktuelles Passwort',
    111 => 'Geben Sie ihr aktuelles Passwort ein',
    112 => 'Sie haben die erlaubte Anzahl von Anmeldeversuchen berschritten. Bitte versuchen Sie es spter noch einmal.',
    113 => 'Anmeldeversuch fehlgeschlagen',
    114 => 'Konto gesperrt',
    115 => 'Ihr Konto wurde gesperrt. Sie knnen sich nicht anmelden. Bitte wenden Sie sich an einen Administrator.',
    116 => 'Konto wurde noch nicht freigegeben',
    117 => 'Ihr Konto muss erst noch von einem Administrator freigegeben werden. Sie knnen sich erst anmelden, wenn ihr Konto freigegeben wurde.',
    118 => "Ihr Konto fr {$_CONF['site_name']} wurde jetzt freigeschaltet. Sie knnen sich jetzt auf der Website unter der unten angegebenen URL anmelden. Benutzen Sie dazu Ihren Benutzernamen (<username>) und das Passwort, das Sie bereits per E-Mail erhalten haben.",
    119 => 'Wenn Sie ihr Passwort vergessen haben, knnen Sie unter der folgenden URL ein neues anfordern:',
    120 => 'Konto wurde aktiviert',
    121 => 'Dienst',
    122 => 'Sorry, derzeit knnen sich keine neuen Benutzer registrieren.',
    123 => "Sind Sie ein <a href=\"{$_CONF['site_url']}/users.php?mode=new\" rel=\"nofollow\">neuer Benutzer</a>?",
    124 => 'E-Mail besttigen',
    125 => 'Die E-Mail Adressen stimmen nicht berein. Bitte in beiden Feldern die gleiche E-Mail Adresse eintragen!',
    126 => 'Bitte die gleiche Adresse noch einmal eingeben',
    127 => 'Um diese Angaben zu ndern bentigen Sie Ihr aktuelles Passwort!',
    128 => 'Konto Informationen',
    129 => 'Passwort &amp; E-Mail',
    130 => 'ber Dich',
    131 => 'Abonnement-Einstellungen',
    132 => 'Abonnement-Eigenschaften',
    133 => 'Kommentar-Anzeige',
    134 => 'Kommentar-Einstellungen',
    135 => '<li>Anzeigemodus: Wie Kommentare angezeigt werden</li><li>Sortierreihenfolge: Wie Kommentare sortiert werden</li><li>Kommentarlimit: Maximale Anzahl Kommentare, die angezeigt werden (Standard: 100)</li>',
    136 => 'Kategorien und Autoren ausblenden',
    137 => 'Artikel ausfiltern',
    138 => 'Verschiedene Einstellungen',
    139 => 'Darstellung und Sprache',
    140 => '<li>Kategorien ohne Icons: Wenn angekreuzt werden in Artikeln keine Icons mehr angezeigt.</li><li>Keine Blcke: Wenn angekreuzt werden nur noch die Blcke Einstellungen, Kategorien und der Admin-Block angezeigt.<li>Einstellung fr die maximale Anzahl von Artikeln pro Seite.</li><li>Whle das Erscheinungsbild der Webseite und das bevorzugte Datumsformat.</li>',
    141 => 'Datenschutz-Einstellungen',
    142 => 'Per Standardeinstellung ist es Admins und anderen Benutzern der Seite erlaubt, Ihnen E-Mails zu senden sowie ihren Status unter "Wer Ist Online?" zu sehen. Hier knnen Sie diese Einstellungen ndern.',
    143 => 'Block-Inhalt filtern',
    144 => 'Block-Einstellungen',
    145 => 'Vorschau: So sieht Ihr Profil aus',
    146 => 'Passwort &amp; E-Mail',
    147 => 'Hier knnen Sie ihr Passwort und Ihre E-Mai-Adresse ndern sowie bestimmen, wie lange Sie angemeldet bleiben wollen. Passwort und E-Mail mssen zum ndern zweimal eingegeben werden.',
    148 => 'Benutzer-Informationen',
    149 => 'Hier knnen Sie eingeben, was andere Benutzer ber Sie sehen knnen:<ul><li>Die Tag-Zeile wird an Kommentare angefgt</li><li>In der Biographie knnen Sie etwas ber sich erzhlen</li><li>Sie knnen ihren PGP-Key hinterlegen</li></ul>',
    150 => 'Hinweis: JavaScript wird nicht bentigt, aber empfohlen',
    156 => 'Konto lschen',
    157 => 'Lschen',
    158 => 'Zeitzone',
    159 => 'Diese E-Mail wurde automatisch generiert. Bitte nicht auf diese E-Mail antworten.',
    160 => 'Online',
    161 => 'Passwortstrke',
    162 => 'Der Benutzername muss aus  Zeichen bestehen. Nicht erlaubt sind: ( < > " % & * / \ ) ',
    163 => 'Remote Benutzer',
    164 => 'Remote Benutzername',
    165 => 'Remote Service',
    166 => 'Remote Benutzer Information',
    167 => 'Eine aktivierungs E-Mail wird an Ihre E-Mail Adresse gesendet werden.',
    168 => 'Willkommen bei ',
    169 => 'Neue Aktivierungs E-Mail anfordern',
    170 => 'Bitte bewahren Sie diese E-Mail sicher auf. Ihre Kontoinformationen sind wie folgt:',
    171 => 'Seiten URL',
    172 => 'Bitte besuchen Sie folgenden Link, um Ihr Konto zu aktivieren. (Der Aktivierungs-Link ist nur gltig fr %d Stunden):',
    173 => 'Das Passwort wurde sicher in unserer Datenbank gespeichert und kann nicht mehr eingesehen werden. Fr den Fall, dass es vergessen wird, knnen Sie es zurcksetzen. Ein neues Passwort wird an die mit diesem Konto verbundene E-Mail Adresse versandt.',
    174 => 'Vielen Dank fr Ihre Registrierung.',
    175 => 'Fr eine erneute Aktivierung, geben Sie bitte Ihren Benutzernamen und das Passwort ein. Zur Aktivierungs wird eine E-Mail an Sie gesendet werden.',
    176 => 'Kennwort besttigen',
    177 => 'Ihr Konto wartet derzeit auf die Besttigung.<br />Sie knnen Sich erst anmelden, nachdem Ihr Konto ber den Link in der Aktivierungs-E-Mail besttigt wurde.',
    178 => 'Remote-Konto synchronisieren',
    179 => 'Lschen',
    180 => 'Typ',
    181 => 'Kategorie',
    182 => 'Beschreibung',
    183 => 'Benachrichtigungs-Abonnements',
    184 => 'Neue Nachricht',
    185 => 'Es gibt ein Lokales-Konto und ein Remote-Konto mit der gleichen E-Mail Adresse. Mchten Sie diese Konten zusammenfhren?',
    186 => 'Wenn Sie die Konten nicht zusammenfhren mchten, whlen Sie bitte die Schaltflche "Abbrechen".',
    187 => 'Geben Sie das Kennwort fr das lokale Konto ein, und klicken Sie auf die Schaltflche "Zusammenfhren".',
    188 => 'Zusammenfhren',
    189 => 'Passwort vergessen',
    190 => 'Sie haben die zulssige Anzahl an Versuchen, fr das Zusammenfhren von Konten, berschritten',
    191 => 'Benutzerkonto Passwort',
    192 => 'Remote-Konto mit vorhandenem Lokalem-Konto zusammenfhren',
    193 => 'Hinweis: Wenn Sie ein Remote-Konto mit einem vorhandenen Lokalem-Konto zusammenfhren, haben die Voreinstellungen fr das vorhandene Konto Prioritt.',
    194 => 'Anmelden mit ',
    195 => 'Noch kein Konto?',
    196 => 'Haben Sie schon ein Konto?',
    197 => 'Verbinden fr einfachen Zugriff!',
    198 => 'Soziale Mitgliedschaften',
    199 => 'Geben Sie Ihre Benutzernamen fr die sozialen Netzwerke an, um Links zu Ihren Netzwerken in Ihrer Profilseite anzuzeigen.',
    200 => 'Netzwerk',
    201 => 'Benutzername',
    202 => 'Folge mir',
    203 => 'Konto aktivieren',
    204 => 'Remote-Konto entfernen',
    205 => 'Sind Sie sicher, dass Sie Ihr Remote-Konto entfernen mchten?<br>Sie bentigen dazu Ihr aktuelles Passwort Ihres Lokalen-Kontos, um den Vorgang abzuschlieen.',
    206 => "Your {$_CONF['site_name']} account has now been activated by an administrator. You may now login to the site at the url below.",
    207 => 'Go To Site',
    208 => 'You are almost done!',
    209 => 'Please provide and confirm the information below to finalize your account.',
    210 => 'You are about to create a new account on <em>%s</em> using a login from <strong>%s</strong>',
    211 => 'Create your personal account',
    'facebook' => 'Facebook',
    'github' => 'GitHub',
    'google' => 'Google',
    'linkedin' => 'LinkedIn',
    'microsoft' => 'Microsoft',
    'twitter' => 'Twitter'
);

###############################################################################
# Customize if need to modify the Tabbed navbar MyAccount panels used.
# Array index key matches preference div id

$LANG_MYACCOUNT = array(
    'pe_preview' => 'Vorschau',
    'pe_namepass' => 'Name &amp; Passwort',
    'pe_twofactor' => 'Anmeldung',
    'pe_userinfo' => 'ber Dich',
    'pe_layout' => 'Sprache &amp; Design',
    'pe_content' => 'Inhalte',
    'pe_privacy' => 'Datenschutz',
    'pe_subscriptions' => 'Abo\'s'
);

###############################################################################
# index.php

$LANG05 = array(
    1 => 'Keine Artikel',
    2 => 'Es gibt keine Artikel, die angezeigt werden knnten. Entweder gibt es fr diese Kategorie keine Artikel oder Ihre Einstellungen sind zu restriktiv ',
    3 => ' fr die Kategorie %s.',
    4 => 'Hauptartikel',
    5 => 'Weiter',
    6 => 'Zurck',
    7 => 'Anfang',
    8 => 'Ende',
    9 => 'Mehr anzeigen'
);

###############################################################################
# profiles.php

$LANG08 = array(
    1 => 'Es gab einen Fehler beim Versenden Ihrer Nachricht. Bitte versuchen Sie es noch einmal.',
    2 => 'Nachricht wurde versandt.',
    3 => 'Bitte stellen Sie sicher, dass Sie eine gltige E-Mail Adresse eingegeben haben.',
    4 => 'Bitte alle Felder ausfllen: Ihr Name, Ihre E-Mail, Betreff und Nachricht',
    5 => 'Fehler: Benutzername nicht bekannt.',
    6 => 'Es ist ein Fehler aufgetreten.',
    7 => 'Benutzerprofil fr',
    8 => 'Benutzername',
    9 => 'Benutzer URL',
    10 => 'Eine E-Mail senden an',
    11 => 'Ihr Name:',
    12 => 'Ihre E-Mail:',
    13 => 'Betreff:',
    14 => 'Nachricht:',
    15 => 'HTML wird nicht interpretiert.',
    16 => 'Nachricht absenden',
    17 => 'Artikel an einen Freund senden',
    18 => 'Empfnger Name',
    19 => 'Empfnger E-Mail',
    20 => 'Absender Name',
    21 => 'Absender E-Mail',
    22 => 'Alle Felder mssen ausgefllt werden.',
    23 => "Diese Nachricht wurde Ihnen von %s <%s> gesendet, da er/sie der Meinung war, Sie wrden sich vielleicht fr diesen Artikel auf <{$_CONF['site_url']}> interessieren. Dies ist kein Spam und die beteiligten E-Mail Adressen (Ihre und die des Absenders) wurden nicht gespeichert.",
    24 => 'Schreibe einen Kommentar zu diesem Artikel:',
    25 => 'Sie mssen sich anmelden, um diese Funktion benutzen zu knnen. Dies ist leider ntig, um den Missbrauch des Systems zu verhindern',
    26 => 'Mit diesem Formular knnen Sie eine E-Mail an diesen Benutzer senden. Alle Felder mssen ausgefllt werden.',
    27 => 'Kurze Nachricht',
    28 => '%s schrieb: ',
    29 => "Tgliches NEWS-Abo von {$_CONF['site_name']} fr ",
    30 => ' Tgliches NEWS-Abo fr ',
    31 => 'Titel',
    32 => 'Datum',
    33 => 'Kompletter Artikel unter',
    34 => 'Ende dieser Nachricht',
    35 => 'Sorry, dieser Benutzer mchte keine E-Mails bekommen.',
    36 => 'Sie erhalten diese Nachricht von %s, da Sie bestimmte Themen abonniert haben. Um Ihre Themen zu ndern oder zu entfernen, bearbeiten Sie bitte die <b>Abonnements</b> in <a href="%s/usersettings.php?mode=edit">Konto Einstellungen</a> - Abonnements.',
    37 => 'Sie erhalten diese Nachricht von %s, da Sie bestimmte Themen abonniert haben. Um Ihre Themen zu ndern oder zu entfernen, bearbeiten Sie bitte die <b>Abonnements</b> in %s/usersettings.php?mode=edit - Konto Einstellungen - Abonnements.',
    38 => 'sendete Ihnen den folgenden Artikel...',
    39 => 'Lesen Sie den ganzen Artikel'
);

###############################################################################
# search.php

$LANG09 = array(
    1 => "Durchsuche {$_CONF['site_name']}",
    2 => 'Erweiterte-Optionen',
    3 => 'Kategorie',
    4 => 'Alle',
    5 => 'Typ',
    6 => 'Artikel',
    7 => 'Kommentare',
    8 => 'Autoren',
    9 => 'Alle',
    10 => 'Suchen',
    11 => 'Suchergebnisse',
    12 => 'Treffer',
    13 => 'Erweiterte Suche: Keine Treffer',
    14 => 'Es gab keine Treffer fr Ihre Suche nach',
    15 => 'Bitte versuchen Sie es noch einmal.',
    16 => 'Titel',
    17 => 'Datum',
    18 => 'Autor',
    19 => "Durchsuche die komplette Datenbank von {$_CONF['site_name']}.",
    20 => 'Datum',
    21 => 'bis',
    22 => '(Datumsformat: JJJJ-MM-TT)',
    23 => 'Aufrufe',
    24 => '%d Eintrge gefunden',
    25 => 'Gesucht wurde nach',
    26 => 'Beitrgen in',
    27 => 'Sekunden.',
    28 => 'Keine Treffer in den Artikeln oder den Kommentaren.',
    29 => 'Gefundene Artikel und Kommentare',
    30 => '',
    31 => 'Dieses Plugin lieferte keine Treffer',
    32 => '',
    33 => 'URL',
    34 => 'Ort',
    35 => 'Ganztgig',
    36 => '',
    37 => '',
    38 => '',
    39 => '',
    40 => '',
    41 => 'Ihr Suchbegriff sollte mindestens 3 Zeichen lang sein.',
    42 => 'Das Datum muss im Format JJJJ-MM-TT (Jahr-Monat-Tag) eingegeben werden.',
    43 => 'genaue Wortgruppe',
    44 => 'alle Wrter',
    45 => 'irgendeines der Wrter',
    46 => 'Weiter',
    47 => 'Zurck',
    48 => 'Autor',
    49 => 'Datum',
    50 => 'Treffer',
    51 => '',
    52 => 'Wohnort',
    53 => 'Gefundene Artikel',
    54 => 'Gefundene Kommentare',
    55 => 'der Wortgruppe',
    56 => 'UND',
    57 => 'ODER',
    58 => 'Weitere Ergebnisse &gt;&gt;',
    59 => 'Ergebnisse',
    60 => 'pro Seite',
    61 => 'Suche korrigieren',
    62 => '#',
    63 => 'Beschreibung',
    64 => ' %d - %d von %d Ergebnissen',
    65 => 'Artikel',
    66 => 'Kommentar',
    67 => 'Zeige %d Ergebnisse',
    68 => 'Sortieren nach',
    69 => 'Autoren',
    70 => 'Kategorien',
    71 => 'Datum',
    72 => 'Suchtyp',
    73 => 'Treffer pro Seite',
    74 => 'Ihre Suche ergab leider keine Treffer. Bitte versuchen Sie es erneut. <br/><ul><li>Prfen Sie bitte, ob die Schreibweise korrekt ist.</li><li>Klicken Sie auf <b>Erweiterte-Optionen</b> und ndern Sie den <b>Suchtyp</b >. Verwendet wird:</li><ul><li><b>Eines der Wrter</b> liefert Ergebnisse, wenn einer der Suchbegriffe im Text vorhanden ist.</li><li><b>Alle Wrter</b> liefert nur Ergebnisse, wenn alle Suchbegriffe im Text vorhanden sind.</li><li><b>Wortgruppe</b> liefert nur Ergebnisse, wenn die exakte Wortgruppe im Text vorhanden ist.</li></ul><li>Benutzen Sie weitere <b>Filter</b> um die Suche einzugrenzen.</li></ul>',
    75 => '1 Tag',
    76 => '7 Tage',
    77 => '2 Wochen',
    78 => '1 Monat',
    79 => '3 Monate',
    80 => '6 Monate',
    81 => '1 Jahr'
);

###############################################################################
# stats.php

$LANG10 = array(
    1 => 'Seiten-Statistik',
    2 => 'Gesamtzahl der Seitenabrufe',
    3 => 'Anzahl Artikel (Kommentare)',
    4 => 'Benutzer',
    5 => 'Angemeldet',
    6 => 'Letzte 10 angemeldete Benutzer',
    7 => 'Top 10 der Artikel',
    8 => 'Artikelberschrift',
    9 => 'Aufrufe',
    10 => 'Es gibt keine Artikel auf dieser Seite oder es wurden noch keine gelesen.',
    11 => 'Top 10 der meistkommentierten Artikel',
    12 => 'Kommentare',
    13 => 'Es gibt keine Artikel auf dieser Seite oder es wurden noch keine dazu abgegeben.',
    14 => '',
    15 => '',
    16 => '',
    17 => '',
    18 => '',
    19 => '',
    20 => '',
    21 => '',
    22 => 'Top 10 der versendeten Artikel',
    23 => 'E-Mails',
    24 => 'Es wurden noch keine Artikel per E-Mail versendet.',
    25 => 'Top 10 der Artikel mit Trackback-Kommentaren',
    26 => 'Es wurden noch keine Trackback-Kommentare gefunden.',
    27 => 'Anzahl aktiver Benutzer',
    28 => 'Keine Benutzer angemeldet.',
    29 => 'Letzte angemeldete %d Benutzer:',
    30 => 'Aufrufe',
    31 => '',
    32 => 'Gesamt'
);

###############################################################################
# article.php

$LANG11 = array(
    1 => 'Weiterfhrende Links',
    2 => 'An einen Freund senden',
    3 => 'Druckfhige Version',
    4 => 'Artikel Optionen',
    6 => 'Feed \'%s\' abonnieren'
);

###############################################################################
# submit.php

$LANG12 = array(
    1 => 'Um einen %s einzusenden, mssen Sie als Benutzer angemeldet sein.',
    2 => 'Anmelden',
    3 => 'Neuer Benutzer',
    4 => '',
    5 => '',
    6 => 'Einen Artikel einsenden',
    7 => 'Anmeldung erforderlich',
    8 => 'Absenden',
    9 => 'Wenn Sie Informationen einsenden mchten, die auf dieser Seite verffentlicht werden sollen, dann bitten wir Sie, folgende Punkte zu beachten:<ul><li>Bitte alle Felder ausfllen, sie werden bentigt</li><li>Bitte nur vollstndige und exakte Informationen einsenden</li><li>URLs vor dem Absenden unbedingt noch einmal kontrollieren</li></ul>',
    10 => 'Titel',
    11 => '',
    12 => 'Startdatum',
    13 => 'Enddatum',
    14 => 'Ort',
    15 => 'Beschreibung',
    16 => '',
    17 => '',
    18 => '',
    19 => 'Bitte lesen',
    20 => '',
    21 => '',
    22 => 'Fehler: Nicht alle Felder ausgefllt',
    23 => 'Bitte alle Felder des Formulars ausfllen. Alle Felder werden bentigt.',
    24 => 'Einsendung gespeichert',
    25 => 'Ihre %s-Einsendung wurde gespeichert.',
    26 => 'Wartezeit',
    27 => 'Benutzername',
    28 => 'Kategorie',
    29 => 'Artikel',
    30 => 'Ihre letzte Einsendung war vor ',
    31 => " Sekunden. Zwischen zwei Einsendungen mssen aber mindestens {$_CONF['speedlimit']} Sekunden vergangen sein.",
    32 => 'Vorschau',
    33 => 'Artikelvorschau',
    34 => 'Abmelden',
    35 => 'HTML-Tags sind nicht erlaubt',
    36 => 'Format',
    37 => '',
    38 => '',
    39 => '',
    40 => '',
    41 => '',
    42 => '',
    43 => '',
    44 => 'Addresse, Zeile 1',
    45 => 'Addresse, Zeile 2',
    46 => 'Stadt',
    47 => 'Bundesland',
    48 => 'Postleitzahl',
    49 => '',
    50 => '',
    51 => 'Ort',
    52 => 'Lschen',
    53 => 'Konto anlegen',
    54 => 'Einleitung',
    55 => 'Haupttext'
);

###############################################################################
# lib-rating.php

$LANG13 = array(
    'vote' => 'Abstimmen',
    'votes' => 'Stimmen',
    'currently' => 'Momentan',
    'rating' => 'Bewertung',
    'cast' => 'Stimmen',
    'rate_speedlimit' => 'Ihre letzte Bewertung war vor %s Sekunden. Zwischen zwei Bewertungen mssen aber mindestens %s Sekunden vergangen sein.',
    'ip_rated' => 'Mit Ihrer IP wurde bereits eine Bewertung abgegeben.',
    'uid_rated' => 'Mit Ihrem Benutzerkonto wurde bereits eine Bewertung abgegeben.',
    'own_rated' => 'Entweder sind Sie der Verfasser des Beitrages oder Sie drfen aus anderen Grnden keine Bewertung abgeben.',
    'thanks_for_vote' => 'Danke fr die Abstimmung!',
    'reset_rating' => 'Bewertung zurcksetzen'
);

###############################################################################
# ADMIN PHRASES - These are file phrases used in admin scripts
###############################################################################

###############################################################################
# admin/auth.inc.php

$LANG20 = array(
    1 => 'Anmeldung erforderlich!',
    2 => 'Zugriff verweigert! Anmeldeinformation ungltig',
    3 => 'Ungltiges Passwort fr Benutzer',
    4 => 'Benutzername:',
    5 => 'Passwort:',
    6 => 'Zugriffe auf die Administrationsseiten dieser Webseite werden aufgezeichnet und kontrolliert.<br />Diese Seiten sind nur fr befugte Personen zugnglich.',
    7 => 'Anmelden',
    8 => 'Sitzung abgelaufen: Bitte erneut anmelden.',
    9 => 'Zugang zur Verwaltung: Anmeldung ist erforderlich!'
);

###############################################################################
# admin/block.php

$LANG21 = array(
    1 => 'Ungengende Rechte',
    2 => 'Sie haben nicht die ntigen Berechtigungen, um diesen Block bearbeiten zu knnen.',
    3 => 'Block-Editor',
    4 => 'Beim Lesen dieses Feeds trat ein Fehler auf (die Datei error.log enthlt nhere Informationen).',
    5 => '',
    6 => '',
    7 => 'Alle',
    8 => 'Block-Sicherheitsstufe',
    9 => 'Reihenfolge',
    10 => '',
    11 => 'Portal-Block',
    12 => 'Normaler-Block',
    13 => 'Portal-Block-Optionen',
    14 => 'RSS-URL',
    15 => 'Letzte Aktualisierung',
    16 => 'Normaler-Block-Optionen',
    17 => 'Inhalt',
    18 => 'Bitte Block-Titel und Inhalt ausfllen.',
    19 => 'Block-Manager',
    20 => '',
    21 => 'Block-Sicherheit',
    22 => '',
    23 => 'Reihenfolge',
    24 => '',
    25 => '<ul><li>Um einen Block zu bearbeiten oder zu lschen, klicken Sie unten auf das entsprechende Symbol.</li><li>Um einen neuen Block zu erstellen, klicken Sie oben auf "Neu anlegen".</li><li>Um einen Block zu verschieben, klicken Sie auf die Pfeile oder [R] und [L].</li></ul>',
    26 => 'Layout-Block',
    27 => 'PHP-Block',
    28 => 'PHP-Block-Optionen',
    29 => 'Block-Funktion',
    30 => 'Wenn Sie mchten, dass einer Ihrer Blcke PHP-Code verwendet, geben Sie oben den Namen der Funktion ein. Ihr Funktionsname muss mit dem Prfix "phpblock_" beginnen (z. B. phpblock_getweather). Wird dieses Prfix nicht verwendet, wird Ihre Funktion aus Sicherheitsgrnden NICHT aufgerufen. Wenn Sie nach Ihrem Funktionsnamen eine Klammer "()" eingeben, wird die Funktion mit zwei Parametern aufgerufen. Parameter 1 ist ein Array, das die Datenzeile fr diesen Block in der Tabelle gl_blocks enthlt. Parameter 2 ist eine Zeichenfolge, die jeden Text enthlt, den Sie zwischen den beiden Klammern platzieren. Ferner wird empfohlen, jeglichen PHP-Block-Code in ../pfad/zu/glfusion/private/system/lib-custom.php abzulegen. So kann der Code auch bei einer Aktualisierung auf eine neuere Version von glFusion weiterverwendet werden.',
    31 => 'Fehler im PHP-Block: Funktion %s existiert nicht.',
    32 => 'Fehler: Nicht alle Felder ausgefllt',
    33 => 'Fr Portal-Blcke muss ein Titel und eine URL zur RSS-Datei angegeben werden.',
    34 => 'Fr PHP-Blcke muss ein Titel und der Funktionsname eingegeben werden.',
    35 => 'Fr Normale-Blcke muss ein Titel und der Inhalt eingegeben werden.',
    36 => 'Fr Layout-Blcke muss der Inhalt eingegeben werden.',
    37 => 'Ungltiger Funktionsname fr einen PHP-Block',
    38 => 'Funktionen fr PHP-Blcke mssen mit \'phpblock_\' beginnen (z.B. phpblock_getweather). Der \'phpblock_\'-Teil wird aus Sicherheitsgrnden vorausgesetzt, um das Ausfhren von Schad-Code zu verhindern.',
    39 => 'Seite',
    40 => 'Links',
    41 => 'Rechts',
    42 => 'Fr glFusion Standard-Blcke muss ein Block-Titel und die Block-Reihenfolge angegeben werden.',
    43 => 'Nur auf der Startseite',
    44 => 'Alle, auer Startseite',
    45 => "Sie haben keine Zugriffsrechte fr diesen Block. Dieser Zugriffsversuch wurde protokolliert. <a href=\"{$_CONF['site_admin_url']}/block.php\">Zurck zum Block-Manager</a>.",
    46 => 'Verschieben',
    47 => '',
    48 => 'Block-Name',
    49 => ' (keine Leerzeichen, muss eindeutig sein)',
    50 => '',
    51 => '(mit http://)',
    52 => 'Wenn das Feld leer ist, wird kein Hilfe-Icon zu diesem Block angezeigt.',
    53 => 'Aktiv',
    54 => 'Speichern',
    55 => 'Abbruch',
    56 => 'Lschen',
    57 => 'Block nach unten',
    58 => 'Block nach oben',
    59 => 'Block nach rechts',
    60 => 'Block nach links',
    61 => 'Ohne Titel',
    62 => 'Artikellimit',
    63 => 'Block-Titel nicht erlaubt',
    64 => 'Der Titel kann nicht leer sein und darf kein HTML enthalten!',
    65 => 'Reihenfolge',
    66 => 'Autotags',
    67 => 'Ankreuzen, um Autotags zu erlauben',
    68 => 'Der News-Feed fr diesen Block ist zu lang, um angezeigt werden zu knnen. Bitte im Block-Editor eine maximale Anzahl Artikel zum Import vorgeben, oder ein bergeordnetes Maximum im der Konfiguration.',
    69 => 'Diesen Block wirklich lschen?',
    70 => 'Block Name darf nicht leer sein bzw. darf folgenden Zeichen nicht enthalten: <i>Leerzeichen < > \' " % & * / </i>',
    71 => 'Hier knnen Sie einen neuen Block erstellen oder einen bestehenden Block bearbeiten, der entweder auf der linken oder der rechten Navigationsleiste angezeigt wird.',
    72 => 'Hier knnen Sie einen glFusion Kernblock bearbeiten.'
);

###############################################################################
# admin/story.php

$LANG24 = array(
    1 => 'Vorherige Artikel',
    2 => 'Nchste Artikel',
    3 => 'Modus',
    4 => 'Format',
    5 => 'Artikel-Editor',
    6 => 'Es sind keine Artikel vorhanden.',
    7 => 'Autor',
    8 => 'Speichern',
    9 => 'Vorschau',
    10 => 'Abbruch',
    11 => 'Lschen',
    12 => 'ID',
    13 => '',
    14 => '',
    15 => 'Datum',
    16 => 'Einleitung',
    17 => 'Haupttext',
    18 => 'Ansichten',
    19 => 'Kommentare',
    20 => 'Ping',
    21 => 'Ping senden',
    22 => 'Artikel-Verwaltung',
    23 => '<ul><li>Um einen Artikel zu bearbeiten oder zu lschen, klicken Sie unten auf das entsprechende Symbol.</li><li>Um einen Artikel anzuzeigen, klicken Sie auf den Titel des Artikels.</li><li>Um einen neuen Artikel zu erstellen, klicken Sie oben auf "Neu Anlegen".</li></ul>',
    24 => 'Diese ID wird bereits fr einen anderen Artikel benutzt. Bitte whle eine andere ID.',
    25 => 'Fehler beim Speichern des Artikels',
    26 => 'Artikelvorschau',
    27 => '<p>Wenn Sie [unscaledX] statt [imageX] verwenden, wird das Bild in Originalgre eingebunden.',
    28 => '<p><b>VORSCHAU:</b> Der Vorschau-Button sollte nur verwendet werden, wenn der Artikel keine Bilder enthlt. Bei Artikeln mit Bildern empfiehlt es sich, den Artikel als Entwurf zu markieren, zu speichern und dann von der Liste der Artikel aus zu betrachten.</p>',
    29 => 'Trackbacks',
    30 => 'Fehler beim Hochladen der Datei',
    31 => 'Bitte mindestens die Felder Titel und Einleitung ausfllen',
    32 => 'Hauptartikel',
    33 => 'Es kann nur einen Hauptartikel geben',
    34 => 'Entwurf',
    35 => 'Ja',
    36 => 'Nein',
    37 => 'Mehr von',
    38 => 'Mehr aus',
    39 => 'E-Mails',
    40 => '',
    41 => "Sie haben keine Zugriffsrechte fr diesen Artikel. Dieser Zugriffsversuch wurde protokolliert. Sie knnen sich den Artikel aber ansehen. (ndern nicht mglich). <a href=\"{$_CONF['site_admin_url']}/story.php\">Zurck zur Artikel-Verwaltung</a>.",
    42 => "Sie haben keine Zugriffsrechte fr diesen Artikel. Dieser Zugriffsversuch wurde protokolliert. <a href=\"{$_CONF['site_admin_url']}/story.php\">Zurck zur Artikel-Verwaltung</a>.",
    43 => '',
    44 => '',
    45 => '',
    46 => '<b>HINWEIS:</b> Wenn Sie hier ein Datum in der Zukunft einstellen, wird der Artikel erst verffentlicht, wenn dieser Zeitpunkt erreicht ist. Bis dahin wird der Artikel auch nicht in der RSS-Datei, der Suche und der Statistik erscheinen.',
    47 => 'Bilder',
    48 => 'Bild',
    49 => 'Rechts',
    50 => 'Links',
    51 => '<p>Die oben ausgewhlten Bilder knnen im Artikel verwendet werden, indem dafr spezielle Platzhalter in den Text eingefgt werden. Diese Platzhalter sind [imageX], [imageX_right] und [imageX_left], wobei statt des X jeweils die Nummer des Bildes eingetragen werden muss.<br />HINWEIS: Es mssen alle ausgewhlten Bilder verwendet werden. Andernfalls kann der Artikel nicht gespeichert werden.<br />',
    52 => '',
    53 => 'wurde nicht verwendet. Sie mssen dieses Bild im Text des Artikels verwenden oder es lschen bevor Sie Ihre nderungen sichern knnen.',
    54 => 'Nicht verwendete Bilder',
    55 => 'Folgende Fehler traten beim Versuch, den Artikel zu speichern, auf. Bitte diese Fehler beheben und den Artikel noch einmal speichern.',
    56 => 'Mit Kategorie-Icon',
    57 => 'Bild in Originalgre',
    58 => 'Artikel-Verwaltung',
    59 => 'Option',
    60 => '',
    61 => 'Automatisch archivieren',
    62 => 'Automatisch lschen',
    63 => 'Kommentare automatisch schlieen',
    64 => '',
    65 => '',
    66 => 'Es gibt keine Kategorien, in die der Artikel gespeichert werden kann.',
    67 => 'Editierbereich vergrern',
    68 => 'Editierbereich verkleinern',
    69 => 'Verffentlichungsdatum',
    70 => 'Auswahl der Funktionsleiste',
    71 => 'Basis Funktionsleiste',
    72 => 'Normal Funktionsleiste',
    73 => 'Fortgeschrittene Funktionsleiste',
    74 => 'Fortgeschrittene II Funktionsleiste',
    75 => 'Volle Feature',
    76 => 'Verffentlichung',
    77 => 'Fr den erweiterten Editor muss JavaScript aktiviert sein. Die Option kann im Fenster "Konfiguration" deaktiviert werden.',
    78 => 'Klicke <a href="%s/story.php?mode=edit&amp;sid=%s&amp;editopt=default">hier</a>, um den  Standard-Editor zu verwenden',
    79 => 'Vorschau',
    80 => 'Editor',
    81 => 'Verffentlichung',
    82 => 'Bilder',
    83 => 'Archivierung',
    84 => 'Rechte',
    85 => 'Alles anzeigen',
    86 => '',
    87 => 'Artikel-Statistik',
    88 => 'Format im Wiki-Stil ',
    89 => 'Diesen Artikel wirklich lschen?',
    90 => 'Artikel verwalten',
    91 => 'Artikel-Entwrfe verwalten',
    92 => 'Geben Sie die Artikel-Informationen ein und speichern Sie.',
    93 => 'Anzeigen',
    94 => 'Verffentlicht',
    95 => 'Artikel Bild',
    96 => 'Bild-Einstellungen',
    97 => 'Bild entfernen',
    98 => 'Untertitel',
    99 => 'Whlen Sie aus, welche Merkmale, in allen Artikeln der ausgewhlten Kategorien, berschrieben werden sollen.',
    100 => 'Allgemeine Artikel-Einstellungen',
    101 => 'Kategorie Auswahl',
    102 => 'Merkmale',
    103 => 'Eigenschaften',
    104 => 'Aktualisieren',
    105 => 'URL',
    106 => 'Seiten Name',
    107 => 'Autor',
    108 => 'Quellenangabe',
    109 => 'Schlsselwrter',
    110 => 'Geben Sie eine durch Komma getrennte Liste von Schlsselwrtern ein',
    111 => 'Allgemeine Einstellungen',
    112 => 'In eine neue Kategorie verschieben',
    113 => 'Kategorie-Filter erforderlich (<b>es drfen nicht alle ausgewhlt werden</b>)',
    114 => 'Sind Sie sicher, dass Sie die Allgemeinen Einstellungen ndern mchten?',
    115 => 'Sind Sie absolut sicher, dass Sie die Allgemeinen Einstellungen ndern mchten? Es kann sehr schwierig werden die nderungen rckgngig zu machen!',
    116 => 'Startseiten - Einstellungen fr Artikel in der ausgewhlte Kategorie wurden gendert.',
    117 => 'Kommentar - Einstellungen fr Artikel in der ausgewhlte Kategorie wurden gendert.',
    118 => 'Trackback - Einstellungen fr Artikel in der ausgewhlte Kategorie wurden gendert.',
    119 => 'Inhaber - Einstellungen fr Artikel in der ausgewhlte Kategorie wurden gendert.',
    120 => 'Gruppen - Einstellungen fr Artikel in der ausgewhlte Kategorie wurden gendert.',
    121 => 'Zeige Kategorie - Einstellungen fr Artikel in der ausgewhlte Kategorie wurden gendert.',
    122 => 'Alle Artikel der Kategorie %s wurden in die Kategorie %s verschoben.',
    123 => 'Es wurden <b>keine Kategorien</b> verschoben, da ALLE Kategorien ausgewhlt wurden.',
    124 => 'Sind Sie sicher, dass Sie abbrechen mchten? Smtliche nderungen werden nicht gespeichert.',
    125 => 'Story Video',
    126 => 'Auto Play'
);

###############################################################################
# admin/topic.php

$LANG27 = array(
    1 => 'Kategorie-Editor',
    2 => 'Kategorie-ID',
    3 => 'Kategorie-Name',
    4 => 'Kategorie-Bild',
    5 => '(keine Leerzeichen!)',
    6 => 'Sind Sie absolut sicher, dass Sie diese Kategorie lschen mchten? ACHTUNG: Durch das Lschen dieser Kategorie werden auch alle Artikel (einschlielich Entwrfe und Einsendungen) sowie alle damit zusammenhngenden Bilder, Kommentare und Trackbacks gelscht! Mit diesem Thema verbundene Blcke und Feeds werden beibehalten und deaktiviert.',
    7 => 'Bitte die Felder Kategorie-ID und Kategorie-Name ausfllen',
    8 => 'Kategorie-Manager',
    9 => '<ul><li>Um eine Kategorie zu bearbeiten oder zu lschen, whlen Sie unten das entsprechende Symbol. Um eine neue Kategorie zu erstellen, klicken Sie oben auf "Neu anlegen".</li><li>Seien Sie vorsichtig beim lschen von Kategorien, da alle damit verbundenen Artikel, Bilder, Kommentare und Trackbacks gelscht und alle damit zusammenhngenden Blcke oder Feeds deaktiviert werden.</li></ul>',
    10 => 'Sortierreihenfolge',
    11 => 'Artikel pro Seite',
    12 => 'Zugriff verweigert',
    13 => "Sie haben keine Zugriffsrechte fr diese Kategorie. Dieser Zugriffsversuch wurde protokolliert. <a href=\"{$_CONF['site_admin_url']}/topic.php\">Zurck zum Kategorie-Manager</a>.",
    14 => 'Sortiermethode',
    15 => 'Alphabetisch',
    16 => 'Standard:',
    17 => 'Neue Kategorie',
    18 => 'Kommandozentrale',
    19 => 'Speichern',
    20 => 'Abbruch',
    21 => 'Lschen',
    22 => 'Standard',
    23 => 'Standard-Kategorie fr neue Einsendungen',
    24 => '(*)',
    25 => 'Archiv-Kategorie',
    26 => 'Standard-Kategorie fr Archiv (nur fr eine Kategorie mglich)',
    27 => 'Oder ein Icon hochladen',
    28 => 'Maximal',
    29 => 'Fehler beim Hochladen der Datei',
    30 => 'Datum',
    31 => 'Titel',
    32 => 'Artikel-ID',
    33 => 'Aufsteigend',
    34 => 'Absteigend',
    35 => 'Sortieren nach',
    36 => 'Sortierrichtung',
    37 => 'Sortierrichtung',
    38 => 'Standard',
    39 => 'Archiv',
    40 => 'Sind Sie sicher, dass Sie diese Kategorie lschen mchten?',
    41 => 'Anzeige nach',
    42 => 'Kategorie-ID darf keine Leerzeichen enthalten',
    43 => 'Zugeordnete Objekte',
    44 => 'Artikel',
    45 => 'Artikel-Entwrfe',
    46 => 'Artikel-Einsendungen',
    47 => 'Bilder',
    48 => 'Kommentare',
    49 => 'Trackbacks',
    50 => 'Blcke',
    51 => 'Feeds',
    52 => 'Admin Artikel',
    53 => 'Einsendungen',
    54 => 'Admin Blcke',
    55 => 'Syndication Admin',
    56 => 'Klicken Sie auf "Abbrechen" und anschlieend auf "Bearbeiten", um Details anzuzeigen, einschlielich der Gesamtzahl der Objekte in der Datenbank, die diesem Thema zugeordnet sind',
    57 => '<ul><li>Hier knnen Sie eine Kategorie erstellen oder bearbeiten.</li><li>Kategorie-IDs drfen keine Leerzeichen enthalten.</li></ul>',
    58 => 'Erste Position',
    59 => 'Beschreibung'
);

###############################################################################
# admin/user.php

$LANG28 = array(
    1 => 'Benutzer-Editor',
    2 => 'Benutzer-ID',
    3 => 'Benutzername',
    4 => 'Name',
    5 => 'Passwort',
    6 => 'Sicherheitsstufe',
    7 => 'E-Mail Adresse',
    8 => 'Homepage',
    9 => '(keine Leerzeichen!)',
    10 => 'Bitte die Felder Benutzername und E-Mail Adresse ausfllen.',
    11 => 'Benutzer-Verwaltung',
    12 => '<ul><li>Um einen Benutzer zu bearbeiten oder zu lschen, klicken Sie unten auf das entsprechende Symbol.</li><li>Um einen Benutzer anzuzeigen, klicken Sie auf den Benutzernamen, den Sie anzeigen mchten.</li><li>Um einen neuen Benutzer zu erstellen, klicken Sie oben auf "Neu anlegen".</li></ul>',
    13 => 'Sicherheitsstufe',
    14 => 'Registierdatum',
    15 => 'Neuer Benutzer',
    16 => 'Warten auf Benutzerbesttigung',
    17 => '',
    18 => '',
    19 => '',
    20 => 'Speichern',
    21 => 'Dieser Benutzername existiert bereits.',
    22 => 'Fehler',
    23 => 'Importieren',
    24 => 'Importieren von Benutzer-Listen',
    25 => '<ul><li>Hier knnen Benutzerdaten aus einer Datei in glFusion importiert werden.</li><li>Die Import-Datei muss ein Textfile sein, bei dem die Datenstze durch Tabs getrennt sind.</li><li>Zudem mssen die Felder in der Reihenfolge Richtiger Name - Benutzername - E-Mail Adresse vorliegen. Jeder so importierte Benutzer bekommt eine E-Mail mit einem Zufallspasswort zugesendet.</li><li>Pro Zeile darf nur ein Benutzer stehen.</li><li>Wenn sich die Importdatei nicht an dieses Format hlt, kann es zu Problemen kommen, die nur in mhseliger Handarbeit behoben werden knnen. Also die Eintrge lieber zweimal berprfen ...</li></ul>',
    26 => '',
    27 => '',
    28 => 'Ankreuzen, um dieses Bild zu lschen:',
    29 => 'Pfad',
    30 => 'Importieren',
    31 => 'Neue Benutzer',
    32 => 'Datei bearbeitet. %d Benutzer wurden importiert, dabei traten %d Fehler auf.',
    33 => 'Absenden',
    34 => 'Fehler: Keine Datei zum Upload angegeben.',
    35 => 'Letzte Anmeldung',
    36 => 'Noch nie',
    37 => 'UID',
    38 => 'Gruppenliste',
    39 => 'Passwort (Wiederholung)',
    40 => 'Registriert',
    41 => 'Letzte Anmeldung',
    42 => 'Gesperrt',
    43 => 'Erwartet Aktivierung',
    44 => 'Erwartet Freigabe',
    45 => 'Aktiv',
    46 => 'Benutzer-Status',
    47 => 'Bearbeiten',
    48 => 'Admin-Gruppen anzeigen',
    49 => 'Admin-Gruppe',
    50 => 'Ankreuzen, um diese Gruppe als "Admin-Gruppe" ausfiltern zu knnen',
    51 => 'Online-Tage',
    52 => '<br />Hinweis: "Online-Tage" sind die Tage zwischen der ersten Registrierung und der letzten Anmeldung.',
    53 => 'Registriert',
    54 => 'Bereinigen',
    55 => 'Dies funktioniert nur, wenn die Funktion \'Record Last Login\' im Configuration admin panel aktiviert wurde.',
    56 => '<ul><li>Bitte den Benutzer-Typ whlen und "Liste aktualisieren" drcken.</li><li>Einen oder mehrere Benutzer aus den angezeigten Ergebnissen auswhlen und auf die gewnschte Aktion klicken.</li><li>Nur Benutzer, die auf dieser Seite angezeigt und ausgewhlt wurden, werden verarbeitet.</li><li>Dieser Hinweis ist WICHTIG fr den Fall, dass sich die Liste ber mehrere Seiten erstreckt.</li></ul>',
    57 => 'Phantom-Benutzer',
    58 => 'Einmal-Benutzer',
    59 => 'Alte-Benutzer',
    60 => 'Benutzer, registriert vor mehr als ',
    61 => ' Monaten, aber nie angemeldet.',
    62 => 'Benutzer, registriert vor mehr als  ',
    63 => ' Monaten, dann nur einmalig innerhalb 24 h angemeldet.',
    64 => 'Normale Benutzer, die einfach die Seite nicht mehr besucht haben seit ',
    65 => ' Monaten.',
    66 => 'Liste aktualisieren',
    67 => 'Monate seit Registrierung',
    68 => 'Online Stunden',
    69 => 'Offline Monate',
    70 => 'konnte nicht gelscht werden',
    71 => 'Erfolgreich gelscht',
    72 => 'Keine Benutzer zum Lschen vorgemerkt',
    73 => 'Alle ausgewhlte Benutzer wirklich dauerhaft lschen?',
    74 => 'Aktuelle-Benutzer',
    75 => 'Benutzer, registriert in den letzen ',
    76 => ' Monaten.',
    77 => 'Anmelde-Erinnerung senden',
    78 => 'Anmelde-Erinnerung absenden',
    79 => 'Keine Benutzer ausgewhlt fr Anmelde-Erinnerung',
    80 => 'Anmelde-Erinnerung erfolgreich versendet',
    81 => 'Anmelde-Erinnerung, um den Konto zu verifizieren fr %s',
    82 => "Ihr Konto auf der Seite {$_CONF['site_name']} wurde seit %s Tagen nicht benutzt und wird deaktiviert, wenn er nicht innerhalb von 30 Tagen aufgerufen wird.",
    83 => "Ihr Konto auf der Seite {$_CONF['site_name']} wurde seit der Einrichtung nicht benutzt und wird gelscht, wenn Sie sich nicht in Krze anmelden.",
    84 => "Ihr Benutzername ist: %s  auf der Seite: {$_CONF['site_url']}",
    85 => 'Wenn Sie das Passwort vergessen haben, benutzen Sie bitte folgenden Link: %s',
    86 => 'Einbeziehen',
    87 => 'Erinnnerungen',
    88 => 'Standardgruppe',
    89 => 'Als Standardgruppe fr neue Benutzer festlegen',
    90 => 'nderung der Standardgruppe fr bestehende Benutzerkonten besttigen.',
    91 => 'Wollen Sie wirklich diese Einstellungen fr alle Benutzer?',
    92 => 'Eigenschaft',
    93 => 'Einstellung',
    94 => 'ndern',
    95 => 'Voreinstellung',
    96 => '<ul><li>Hier knnen Sie die Voreinstellungen fr <b>ALLE</b> Benutzer berschreiben.</li><li>Whlen Sie in der Spalte "ndern" die Elemente aus, die Sie ndern mchten.</li><li>Setzen Sie die "Eigenschaften" auf die gewnschte Werte und drcken Sie Speichern</li></ul>',
    97 => 'Kommentar Anzeigemodus',
    98 => 'Kommentar Sortierreihenfolge',
    99 => 'E-Mail senden',
    100 => 'Erinnerung senden',
    101 => 'Gruppe',
    102 => 'Benutzer',
    103 => 'Inaktive Benutzer lschen',
    104 => 'Diesen Benutzer wirklich lschen?',
    105 => 'Status',
    106 => 'Warteschlange',
    107 => 'berprfung',
    108 => 'Ansicht Profile',
    109 => 'Sind Sie sich absolut sicher, dass Sie diesen Benutzer lschen wollen?  Das Lschen dieses Benutzers lscht einige der Inhalte, die von diesem Benutzer erstellt wurden. Der Rest wird dem anonymen Benutzer oder Seiten-Administrator zugewiesen werden! Um Details dieses Benutzerprofil zu sehen, drcken Sie auf Abbrechen und dann auf den Benutzernamen.',
    110 => 'Sind Sie sich absolut sicher, dass Sie alle markierten Benutzer lschen wollen?  Das Lschen aller dieser Benutzers lscht einige der Inhalte, die von diesen Benutzern erstellt wurden. Der Rest wird dem anonymen Benutzer oder Seite-Administrator zugewiesen werden! Um Details dieses Benutzerprofil zu sehen, drcken Sie auf Abbrechen und dann auf den Benutzernamen.',
    111 => 'E-Mail senden (Local)'
);

###############################################################################
# admin/moderation.php

$LANG29 = array(
    1 => 'Akzeptieren',
    2 => 'Lschen',
    3 => 'Editieren',
    4 => 'Profil',
    10 => 'Titel',
    11 => 'Startdatum',
    12 => 'URL',
    13 => 'Einsendungen',
    14 => 'Datum',
    15 => 'Kategorie',
    16 => 'Benutzername',
    17 => 'Name',
    18 => 'E-Mail',
    34 => 'Kommandozentrale',
    35 => 'Artikel-Einsendungen',
    36 => 'Kommentar',
    37 => 'Zeit',
    38 => 'Absenden',
    39 => 'Derzeit gibt es keine Einsendungen zu berprfen.',
    40 => 'Neue Benutzer',
    41 => 'Eingesendete Kommentare',
    42 => 'Benutzername',
    43 => 'Kommentare automatisch verffentlichen?',
    44 => 'Alle ausgewhlten Elemente genehmigen',
    45 => 'Sollen alle ausgewhlten Elemente genehmigt werden?',
    46 => 'Eingesendet von',
    47 => 'Registriert am',
    48 => 'Sind Sie sicher, dass Sie diese Einsendung genehmigen wollen?',
    49 => 'Sind Sie sicher, dass Sie diese Einsendung lschen wollen?',
    'info' => '<ul><li>Hier knnen Sie Einsendungen bearbeiten, genehmigen oder lschen.</li><li>Damit Einsendungen berhaupt mglich sind, mssen diese im Konfigurations-Men fr den ensprechenden Bereich aktiviert werden.</li><li>Zum Anzeigen oder Bearbeiten einer Einsendung whlen Sie das Symbol Bearbeiten.</li><li>Um ein oder mehrere Elemente zu genehmigen oder zu lschen, whlen Sie das zugehrige Kontrollkstchen neben den Elementen und klicken dann auf das entsprechende Aktionssymbol am Ende der Liste.</li><li>Beachten Sie bitte, dass immer nur ein Bereich auf einmal bearbeitet werden kann.</li></ul>'
);

###############################################################################
# admin/mail.php

$LANG31 = array(
    1 => 'Nachrichtenzentrale',
    2 => 'Von',
    3 => 'Antwort an',
    4 => 'Betreff',
    5 => 'Text',
    6 => 'Senden an',
    7 => 'Alle Benutzer',
    8 => 'Admin',
    9 => 'Einstellungen',
    10 => 'HTML',
    11 => 'Wichtige Nachricht!',
    12 => 'Absenden',
    13 => 'Reset',
    14 => 'Benutzer-Einstellungen ignorieren',
    15 => 'Fehler beim Senden an: ',
    16 => 'E-Mail erfolgreich gesendet an: ',
    17 => "<a href=\"{$_CONF['site_admin_url']}/mail.php\">Noch eine Nachricht schreiben</a>",
    18 => 'An',
    19 => "<ul><li>Hier knnen Sie eine E-Mail an eine bestimmte Gruppe dieser Seite senden.</li><li>Wenn Sie eine E-Mail an alle eingetragenen Benutzer senden wollen, mssen Sie die Gruppe Logged-in Benutzer auswhlen.</li><li>Wenn Sie eine E-Mail an einen bestimmten Benutzer senden wollen, knnen Sie dies ber die <a href=\"{$_CONF['site_admin_url']}/user.php\">Benutzer-Verwaltung</a> erledigen.</li></ul>",
    20 => "<successcount> Nachricht(en) erfolgreich versendet, bei <failcount> Nachricht(en) traten Fehler auf. Details knnen der folgenden Liste entnommen werden. Sie knnen jetzt <a href=\"{$_CONF['site_admin_url']}/mail.php\">noch eine Nachricht senden</a> oder <a href=\"{$_CONF['site_admin_url']}/moderation.php\">zurck zum Admin-Men gehen</a>.",
    21 => 'Fehler',
    22 => 'Erfolgreich',
    23 => 'Keine Fehler',
    24 => 'Keine erfolgreich',
    25 => '-- Gruppe whlen --',
    26 => 'Um eine E-Mail versenden zu knnen, mssen alle Felder ausgefllt und eine Gruppe von Benutzern aus dem Drop-Down-Men ausgewhlt werden.',
    27 => 'Gruppe',
    28 => 'Hier knnen Sie E-Mails an ausgewhlte Benutzer dieser Seite versenden. Um eine Nachricht an einen bestimmten Benutzer zu senden, whle den Benutzer aus der Benutzerliste.',
    29 => 'Warnung',
    30 => 'Datenschutz-Optionen fr "E-Mail von Admin" sind aktiviert.'
);

###############################################################################
# admin/plugins.php

$LANG32 = array(
    1 => 'Das Installieren eines Plugins knnte den glFusion-Auftritt beschdigen und mglicherweise den Webserver. Es ist wichtig, nur Pugins zu benutzen, die von <a href="http://www.glfusion.org">glFusion Homepage</a> runtergeladen wurden, da dort alle eingesendeten Plugins grndlich getestet werden, ob sie auf verschiedenen Betriebssystemen funktionieren. Es ist wichtig zu verstehen, dass der Plugin-Installationsprozess ein paar Dateibefehle erfordert, die Sicherheitsprobleme verursachen knnten besonders wenn man Plugins aus dritter Hand nimmt. Es wird nicht garantiert das eine Installation erfolgreich veruft und es wird auch nicht fr Schden gehaftet, die durch die Installation eines glFusion Plugins entstehen. Mit anderen Worten: Installation auf eigene Gefahr. Fr die Vorsichtigen gibt es Anleitungen bei jedem Plugin, wie man manuell installiert.',
    2 => 'Plugin-Installation Haftungsausschluss',
    3 => 'Plugin-Installationsformular',
    4 => 'Plugin-Datei',
    5 => 'Plugin-Manager',
    6 => 'Warnung: Plugin schon installiert!',
    7 => 'Das Plugin, das Sie installieren wollen, ist bereits vorhanden. Bitte lschen Sie es, bevor Sie noch einmal versuchen, es zu installieren',
    8 => 'Plugin-Kompatibilittstest fehlgeschlagen',
    9 => 'Dieses Plugin bentigt eine neuere Version von glFusion. Abhilfe schafft eine Aktualisierung von <a href="http://www.glfusion.org/">glFusion</a> oder eine andere Version dieses Plugins.',
    10 => '<br /><b>Es sind derzeit keine Plugins installiert.</b><br /><br />',
    11 => '<ul><li>Um installierte Plugins zu aktivieren oder zu deaktivieren, klicken Sie in der Spalte "Aktivieren Installieren" auf das zugehrige Kontrollkstchen.</li><li>Plugins, die auf Ihrem System hochgeladen wurden, knnen durch Klicken auf das Symbol Installieren in der Spalte "Aktivieren Installieren" installiert werden.</li><li>Klicken Sie zum Aktualisieren eines Plugins auf das Symbol "Aktualisieren", das in der Spalte "Version" angezeigt wird.</li><li>Klicken Sie zum Deinstallieren eines Plugins auf das Symbol in der Spalte "Deinstallieren Lschen".</li></ul>',
    12 => '(kein Name angegeben)',
    13 => 'Plugin-Editor',
    14 => 'Neues Plugin',
    15 => 'Kommandozentrale',
    16 => 'Plugin-Name',
    17 => 'Plugin-Version',
    18 => 'glFusion-Version',
    19 => 'Aktiv',
    20 => 'Ja',
    21 => 'Nein',
    22 => 'Installieren',
    23 => 'Speichern',
    24 => 'Abbruch',
    25 => 'Lschen',
    26 => 'Plugin-Name',
    27 => 'Plugin-Homepage',
    28 => 'Plugin-Version',
    29 => 'glFusion-Version',
    30 => 'Plugin lschen?',
    31 => 'Sind Sie absolut sicher, dass Sie dieses Plugin deinstallieren mchten? Dadurch werden alle Daten, die mit diesem Plugin verknpft sind, endgltig aus der Datenbank entfernt, die Plugin-Dateien und die Verzeichnisstruktur werden jedoch beibehalten',
    32 => '<p><b>Fehler: Ungltiges Format fr Autolink.</b></p>',
    33 => 'Code-Version',
    34 => 'Aktualisieren',
    35 => 'Bearbeiten',
    36 => 'Version',
    37 => 'Aktuell',
    38 => 'Bitte aktualisieren!',
    39 => 'Temporres Verzeichnis zum hochladen konnte nicht erstellt werden.',
    40 => 'Kann die ntige plugin.xml im Plugin-Archiv nicht finden. Es knnte ein lteres Plugin sein, dass noch nicht auf den glFusion Auto-Installer vorbereitet wurde. Dieses Plugin muss manuell installiert werden.',
    41 => 'Rechte-Fehler bei Datei: %s<br />',
    42 => 'Datei-, Verzeichnis-, Rechte-Fehler',
    43 => 'Wegen Rechte-Fehler konnte glFusion nicht alle Dateien in die richtigen Verzeichnisse kopieren. Die Plugin-Installation wurde abgebrochen.<br />Unten ist eine Liste aller Rechte-Fehler, die aufgetreten sind.<br /><br />',
    44 => 'Bitte die Rechte-Fehler oben korrigieren und noch mal hochladen.',
    45 => 'Kann %s nicht ins %s -Verzeichnis kopieren.<br />',
    46 => 'Kann das hochgeladene Plugin nicht finden.',
    47 => 'Kann kein temporres Arbeitsverzeichnis erstellen.',
    48 => 'Kann das hochgeladene Plugin nicht entpacken.',
    49 => 'Dieses Plugin erfordert glFusion v%s oder hher.',
    50 => 'Dieses Plugin erfordert PHP v%s oder hher.',
    51 => '%s erfordert, dass das <b>%s</b>-Plugin installiert ist. Bitte %s installieren und noch mal hochladen.',
    52 => 'Eine aktuelle Version von %s ist bereits installiert',
    53 => '%s v%s ist lter als die gegenwrtig installierte Version %s',
    54 => 'Es gab einen Fehler bei der Installation dieses Plugins. Bitte im error.log nach Details schauen.',
    55 => 'Die Auto-Installer-Datei autoinstall.php kann nicht gefunden werden. Bitte die Installation manuell vom Plugin Administration screen ausfhren.',
    56 => 'Fehler im Plugin-Auto-Installer',
    57 => 'Auf der Festplatte ein Plugin zum Hochladen auswhlen.',
    58 => 'Hochladen',
    59 => 'Abbrechen',
    60 => 'Installieren',
    61 => 'Aktualisieren',
    62 => 'wurde erfolgreich hochgeladen und ist jetzt bereit zur Weiterverarbeitung.',
    63 => 'Beschreibung',
    64 => 'Es scheint so als wre das Plugin',
    65 => 'Dieses Plugin wurde schon installiert.',
    66 => 'Die gegenwrtig installierte Version ist',
    67 => 'Wenn die Version, die hochgeladen wurde, nicht neuer ist als die installierte Version, dann <b>Abbrechen</b> whlen um die Aktualisierungs zu unterbrechen.',
    68 => 'Das Plugin scheint ein lteres Plugin zu sein welches den glFusions Auto-Installer nicht untersttzt. Sollte es dennoch hochgeladen werden muss es anschlieend manuell installiert werden.',
    69 => 'WICHTIG',
    70 => 'Der Auto-Installer konnte nicht feststellen ob dieses Plugin mit der gegenwrtigen Version von glFusion funktionieren wird. Sollte es dennoch kopiert werden muss es anschlieend manuell installiert werden.',
    71 => 'Fortfahren',
    72 => 'Eine Version des Plugins ist schon installiert, aber deaktiviert. glFusion kann keine deaktivierten Plugins upgraden. Bitte das Plugin wieder aktivieren und noch mal hochladen.',
    73 => 'Plugin Auto-Installer',
    74 => 'Kann die XML Beschreibungsdatei des Plugins nicht finden.',
    75 => 'Kann %s nicht nach %s kopieren<br />',
    76 => 'Dieses Plugin wirklich deinstallieren (deaktivieren)?',
    77 => 'Dieses Plugin wirklich aktualisieren?',
    78 => 'Aktivieren Installieren',
    79 => 'Deinstallieren Lschen',
    80 => 'Dieses Plugin wirklich installieren?',
    81 => 'Ersteller',
    82 => 'Erfordert',
    83 => 'Info',
    84 => 'Kern-Plugin',
    85 => 'Autotag Hochladen',
    86 => 'Fehler im automatischen Autotag Installer',
    87 => 'Autotag Installer',
    88 => 'Sind Sie sicher, dass Sie dieses Plugin entfernen wollen?',
    89 => 'Sind Sie absolut sicher, dass Sie dieses Plugin entfernen mchten? Dies fhrt zum Lschen aller Dateien und Verzeichnisse, die sich auf dieses Plugin beziehen, und um dieses Plugin erneut zu installieren, mssen Sie eine weitere Kopie hochladen.',
    90 => 'Version <b>%s</b> des <b>%s</b> Plugin wird bentigt, aber Version <b>%s</b> ist installiert. Bitte aktualisieren sie das %s Plugin.',
    91 => 'Datei whlen'
);

###############################################################################
# admin/syndication.php

$LANG33 = array(
    1 => 'News-Feed anlegen',
    2 => 'Speichern',
    3 => 'Lschen',
    4 => 'Abbruch',
    10 => 'News-Feed-Manager',
    11 => 'Neuer News-Feed',
    12 => 'Kommandozentrale',
    13 => '<ul><li>Um einen News-Feed zu bearbeiten oder zu lschen, bitte auf das entsprechende Symbol klicken.</li><li>Um einen neuen News-Feed anzulegen, bitte auf "Neu anlegen" klicken.</li></ul>',
    14 => 'Titel',
    15 => 'Art',
    16 => 'Dateiname',
    17 => 'Format',
    18 => 'Letzte Aktualisierung',
    19 => 'Aktiv',
    20 => 'Ja',
    21 => 'Nein',
    22 => '<i>(keine News-Feeds)</i>',
    23 => 'Alle Artikel',
    24 => 'News-Feed-Editor',
    25 => 'News-Feed-Titel',
    26 => 'Limit',
    27 => 'Lnge der Eintrge',
    28 => '(0 = ohne Text, 1 = kompletter Text, anderer Wert = nur so viele Zeichen)',
    29 => 'Beschreibung',
    30 => 'Letzte Aktualisierung',
    31 => 'Zeichensatz',
    32 => 'Sprache',
    33 => 'Inhalt',
    34 => 'Eintrge',
    35 => 'Stunden',
    36 => 'Art des News-Feeds festlegen',
    37 => '',
    38 => 'Fehler: Nicht alle Felder ausgefllt',
    39 => 'Bitte die Felder News-Feeds-Titel, Beschreibung und Dateiname ausfllen.',
    40 => 'Bitte ein Limit (Anzahl Eintrge oder Anzahl Stunden) eingeben.',
    41 => 'Absenden',
    42 => '',
    43 => 'Alle',
    44 => 'Keine',
    45 => 'News-Feed-Link fr Kategorie',
    46 => 'Ergebnisse eingrenzen',
    47 => 'Suchen',
    48 => 'Bearbeiten',
    49 => 'News-Feed-Logo',
    50 => "Relativ zur URL dieser Seite ({$_CONF['site_url']})",
    51 => 'Der gewhlte Dateiname wird bereits von einem anderen News-Feed verwendet. Bitte whle einen anderen.',
    52 => 'Fehler: Dateiname existiert schon',
    53 => 'Alle auf der Startseite',
    54 => 'Bitte whle die Art des News-Feeds aus.',
    55 => 'Artikel',
    56 => 'Dieses News-Feed wirklich lschen?',
    57 => 'News-Feed Liste',
    58 => 'Hier knnen Sie einen neuen News-Feed erstellen, speichern, oder einen vorhandenen News-Feed bearbeiten bzw. lschen.'
);

###############################################################################
# admin/logview.php

$LANG_LOGVIEW = array(
    'logview' => 'Protokolle',
    'info' => 'glFusion Protokoll Verwaltung:<ul><li>404.log - Nicht gefundene Seiten</li><li>access.log - Unerlaubten Zugriffe</li><li>captcha.log - Falsche Captcha abfragen</li><li>error.log - Server und Datenbankfehler</li><li>spamx.log - Erkannte Spameintrge</li></ul>',
    'logs' => 'Protokolle',
    'view' => 'Protokoll anzeigen',
    'clear' => 'Protokoll lschen',
    'log_file' => 'Protokolldatei',
    'too_large' => 'Log File is too large to display! File size is %2.2f %s. Showing only the last 256kb of the log.'
);

###############################################################################
# admin/social.php

$LANG_SOCIAL = array(
    'label' => 'Soziale Netzwerke',
    'social_share' => 'Seiten-Inhalte teilen',
    'share_instructions' => 'Hier knnen Sie die Netzwerke auswhlen auf denen man Ihre Inhalte teilen kann.',
    'follow_instructions' => 'Hier knnen Sie die Netzwerke auswhlen auf denen man Ihnen folgen kann. (Netzwerk-Konto muss eingetragen sein)',
    'membership_instructions' => 'Hier knnen Sie die Benutzernamen fr die Netzwerke eingeben auf denen man Ihnen folgen kann.',
    'social_follow' => 'Der Seite folgen',
    'site_memberships' => 'Netzwerk-Konten',
    'id' => 'ID',
    'name' => 'Name',
    'enabled' => 'Aktiv',
    'share_it_label' => 'Teile diesen Beitrag!',
    'state_toggled' => 'Status wurde gendert.',
    'follow_us' => 'Folgen Sie uns auf',
    'follow_me' => 'Folgen Sie mir auf',
    'service_name' => 'Netzwerk Name',
    'service_url' => 'Netzwerk URL',
    'site_username' => 'Netzwerk Benutzername',
    'additional_html' => 'Zustzliches HTML nach den "Folge mir" Knpfen',
    'saved_msg' => 'Verknpfungen wurden gespeichert.',
    'overridden' => 'glFusion\'s Soziale Netzwerke wurde deaktiviert. Soziale Netzwerke werden durch das %s Plugin verwaltet.'
);

###############################################################################
# confirmation and error messages

$MESSAGE = array(
    1 => "Ihr Passwort sollte in Krze per E-Mail bei Ihnen eintreffen. Bitte beachten Sie die Hinweise in der E-Mail. Danke, dass Sie sich bei {$_CONF['site_name']} registriert hast.",
    2 => "Danke fr Ihren Beitrag auf {$_CONF['site_name']}. Ihr Artikel wurde an unser Team weitergeleitet. Wenn er akzeptiert wird, wird er bald auf dieser Webseite fr alle Besucher zu lesen sein.",
    3 => "Eine Besttigung wurde Ihnen per E-Mail zugesandt und sollte in Krze ankommen. Bitte folgen Sie den Anweisungen in der Nachricht. Vielen Dank - {$_CONF['site_name']}",
    4 => '',
    5 => 'Ihr Benutzer-Profil wurde erfolgreich gespeichert.',
    6 => 'Ihre Einstellungen wurden erfolgreich gespeichert.',
    7 => 'Ihre Kommentar-Einstellungen wurden erfolgreich gespeichert.',
    8 => 'Abmeldung war erfolgreich. Sie sind jetzt nicht mehr angemeldet.',
    9 => 'Ihr Artikel wurde erfolgreich gespeichert.',
    10 => 'Der Artikel wurde erfolgreich gelscht.',
    11 => 'Ihr Block wurde erfolgreich gespeichert.',
    12 => 'Der Block wurde erfolgreich gelscht.',
    13 => 'Ihre Kategorie wurde erfolgreich gespeichert.',
    14 => 'Die Kategorie und alle zugehrigen Artikel und Blcke wurden erfolgreich gelscht.',
    15 => 'Ihr Kommentar wurde in die Warteschlage eingetragen und wird verffentlicht, sobald ein Moderator zustimmt.',
    16 => 'Sie wurden erfolgreich ausgetragen und erhalten keine Benachrichtigungen mehr.',
    17 => '',
    18 => '',
    19 => '',
    20 => '',
    21 => 'Der Benutzer wurde erfolgreich gespeichert.',
    22 => 'Der Benutzer wurde erfolgreich gelscht.',
    23 => '',
    24 => '',
    25 => '',
    26 => 'Beim Senden Ihrer Nachricht trat ein Fehler auf, bitte kontaktieren Sie den Seiten-Admin',
    27 => 'Nachricht wurde erfolgreich versendet.',
    28 => 'Das Plugin wurde erfolgreich gespeichert.',
    29 => '',
    30 => 'Zugriff verweigert',
    31 => 'Leider haben Sie keinen Zugriff auf die Artikel-Administrationsseite. Bitte beachten Sie, dass alle nicht autorisierten Zugriffe protokolliert werden.',
    32 => 'Leider haben Sie keinen Zugriff auf die Kategorie-Administrationsseite. Bitte beachten Sie, dass alle nicht autorisierten Zugriffe protokolliert werden.',
    33 => 'Leider haben Sie keinen Zugriff auf die Block-Administrationsseite. Bitte beachten Sie, dass alle nicht autorisierten Zugriffe protokolliert werden.',
    34 => 'Leider haben Sie keinen Zugriff auf die Administrationsseite. Bitte beachten Sie, dass alle nicht autorisierten Zugriffe protokolliert werden.',
    35 => '',
    36 => 'Die Autotag-Berechtigungen wurden erfolgreich gespeichert.',
    37 => 'Leider haben Sie keinen Zugriff auf die Benutzer-Administrationsseite. Bitte beachten Sie, dass alle nicht autorisierten Zugriffe protokolliert werden.',
    38 => 'Leider haben Sie keinen Zugriff auf die Plugin-Administrationsseite. Bitte beachten Sie, dass alle nicht autorisierten Zugriffe protokolliert werden.',
    39 => 'Leider haben Sie keinen Zugriff auf die E-Mail-Administrationsseite. Bitte beachten Sie, dass alle nicht autorisierten Zugriffe protokolliert werden.',
    40 => 'System-Nachricht',
    41 => 'Leider haben Sie keinen Zugriff auf die Zensur-Seite. Bitte beachten Sie, dass alle nicht autorisierten Zugriffe protokolliert werden.',
    42 => 'Das Wort wurde erfolgreich gespeichert.',
    43 => 'Das Wort wurde erfolgreich gelscht.',
    44 => 'Das Plugin wurde erfolgreich installiert.',
    45 => 'Das Plugin wurde erfolgreich deinstalliert. Die Plugin-Dateistruktur bleibt erhalten und kann neu installiert werden, es sei denn, das Plugin wird gelscht.',
    46 => 'Leider haben Sie keinen Zugriff auf die Backup-Funktion. Bitte beachten Sie, dass alle nicht autorisierten Zugriffe protokolliert werden.',
    47 => 'Diese Funktion luft nur unter *nix. Wenn *nix als Betriebssystem luft, dann wurde der Cache erfolgreich gelscht. Wenn Windows als Betriebssystem luft, bitte nach den Dateien adodb_*.php suchen und diese manuell entfernen.',
    48 => "Danke, dass Sie sich bei {$_CONF['site_name']} registriert haben. Ihr Aufnahmeantrag wird von unserem Team geprft. Sobald er akzeptiert wird, werden Sie ihr Passwort per E-Mail erhalten.",
    49 => 'Ihre Gruppe wurde gespeichert.',
    50 => 'Die Gruppe wurde gelscht.',
    51 => 'Dieser Benutzername ist schon vergeben. Bitte whlen Sie einen anderen.',
    52 => 'Die angegebene E-Mail Adresse scheint nicht gltig zu sein.',
    53 => 'Ihr neues Passwort wurde gespeichert. Bitte melden Sie sich nun mit dem neuen Passwort an.',
    54 => 'Diese Anfrage fr ein neues Passwort ist nicht mehr gltig. Bitte fordern Sie erneut ein neues Passwort an.',
    55 => 'Sie sollten in Krze eine E-Mail erhalten, in der beschrieben wird, wie Sie ein neues Passwort fr Ihr Konto eingeben knnen.',
    56 => 'Die angegebene E-Mail Adresse wird schon fr ein anderes Konto verwendet.',
    57 => 'Ihr Konto wurde erfolgreich gelscht.',
    58 => 'Der News-Feed wurde erfolgreich gespeichert.',
    59 => 'Der News-Feed wurde erfolgreich gelscht.',
    60 => 'Das Plugin wurde erfolgreich aktualisiert.',
    61 => 'Plugin %s: Unbekannter Text-Platzhalter',
    62 => 'Der Trackback-Kommentar wurde erfolgreich gelscht.',
    63 => 'Beim Lschen des Trackback-Kommentars trat ein Fehler auf.',
    64 => 'Ihr Trackback-Kommentar wurde erfolgreich versendet.',
    65 => 'Das Weblog-Verzeichnis wurde erfolgreich gespeichert.',
    66 => 'Das Weblog-Verzeichnis wurde erfolgreich gelscht.',
    67 => 'Das neue Passwort stimmt nicht mit dem Besttigungs-Passwort berein!',
    68 => 'Geben Sie bitte ihr korrektes aktuelles Passwort ein.',
    69 => 'Ihr Konto wurde gesperrt!',
    70 => 'Ihr Konto wurde noch nicht freigeschaltet.',
    71 => 'Ihr Konto wurde besttigt, muss aber noch freigeschaltet werden.',
    72 => 'Bei der Installation des Plugins trat ein Fehler auf. Siehe error.log fr weitere Informationen.',
    73 => 'Bei der Deinstallation des Plugins trat ein Fehler aus. Siehe error.log fr weitere Informationen.',
    74 => 'Der Pingback wurde erfolgreich versendet.',
    75 => 'Trackbacks mssen als POST-Request versendet werden.',
    76 => 'Wollen Sie diesen Eintrag wirklich lschen?',
    77 => 'HINWEIS:<br/>Sie haben UTF-8 als Standard-Zeichensatz angegeben. Ihr Webserver untersttzt jedoch kein "multibyte encoding". Installieren Sie bitte die mbstring-Erweiterungen fr PHP oder benutzen Sie einen anderen Zeichensatz bzw. eine andere Sprache.',
    78 => 'Bitte sicherstellen, dass die angegebene E-Mail Adresse in beiden Fllen die gleiche ist.',
    79 => 'Diese Funktion ist nicht mehr unter dieser URL verfgbar.',
    80 => 'Das Plugin, das diesen News-Feed angelegt hat, ist derzeit nicht aktiviert. Dieser News-Feed kann nicht bearbeitet werden, solange das Plugin deaktiviert ist.',
    81 => 'Haben Sie sich vertippt? Bitte versuchen Sie noch einmal sich anzumelden.',
    82 => 'Sie haben die erlaubte Anzahl von Anmeldeversuchen berschritten. Bitte versuchen Sie es spter noch einmal.',
    83 => 'Um das Passwort, die E-Mail Adresse oder die "Angemeldet fr"-Zeit zu ndern mssen Sie das aktuelle Passwort eingeben.',
    84 => 'Um Ihr Konto zu lschen, geben Sie bitte Ihr aktuelles Passwort ein.',
    85 => 'Es gab ein Problem, die E-Mail zu senden.',
    86 => '',
    87 => '',
    88 => '',
    89 => '',
    90 => '',
    91 => 'Fehler beim Entfernen der Plugin-Dateien. Der Webserver verfgt mglicherweise nicht ber ausreichende Berechtigungen. Siehe error.log fr weitere Informationen.',
    92 => "Bitte <a href=\"{$_CONF['site_admin_url']}/sectest.php\">die Sicherheit ihrer Seite berprfen</a> bevor Sie sie benutzen!",
    93 => 'Datenbank Backup war erfolgreich.',
    94 => 'Backup fehlgeschlagen: Dateigre unter 1kb',
    95 => 'Es gab einen Fehler.',
    96 => 'Leider haben Sie keinen Zugriff auf die Administrationsseite. Bitte beachten Sie, dass alle nicht autorisierten Zugriffe protokolliert werden.',
    97 => 'Nicht alle erforderlichen Felder konnten besttigt werden - default custom membership message',
    98 => 'Das Plugin wurde erfolgreich hochgeladen.',
    99 => 'Das Plugin existiert schon.',
    100 => 'Die Plugin-Datei die hochgeladen wurde, war kein GZip oder Zip komprimiertes Archiv.',
    110 => 'Die OAuth-Anmelde-URL konnte nicht abgerufen werden.',
    111 => 'OAuth-Anmeldungs-Fehler.',
    112 => 'OAuth-Zertifizierung ist ungltig.',
    113 => 'Ihr Konto wurde erfolgreich erstellt. {site_url}',
    114 => 'Warnung: Die Resynchronisation mit Ihrem Remote-OAuth-Konto ist fehlgeschlagen, aber Ihre anderen Kontoinformationen wurden erfolgreich gespeichert.',
    115 => 'Warnung: Der Remote-OAuth-Anmeldungsdienst wurde deaktiviert.',
    116 => 'Die Dateien des Plugins und verwandte Verzeichnisse wurden erfolgreich entfernt.',
    117 => 'Das Remote-Konto wurde aus Ihrem Lokalen-Konto entfernt.',
    118 => 'Entfernen des Remot-Kontos fehlgeschlagen - das eingegebene Passwort stimmt nicht berein.',
    200 => 'Leider haben Sie keinen Zugriff auf diese Seite. Bitte beachten Sie, dass alle nicht autorisierten Zugriffe protokolliert werden.',
    500 => 'Der Template-Cache wurde erfolgreich geleert',
    501 => 'Security Token ist ungltig - Mglicherweise ist die Sitzung abgelaufen.',
    502 => 'Das Plugin wurde erfolgreich kopiert. Bitte Install aus der Liste unten auswhlen',
    503 => 'Die Plugin-Installation ist im Demomodus ausgeschaltet.',
    504 => 'Bitte gib ein Passwort fr das Benutzerkonto ein.',
    505 => 'Bitte gib eine gltige E-Mail Adresse fr dieses Benutzerkonto ein.',
    506 => 'Benutzername darf nicht leer sein.',
    507 => 'E-Mail darf nicht leer sein.',
    508 => 'E-Mail Adresse stimmt nicht mit der Besttigungs-E-Mail Adresse berein.',
    509 => 'Fehler beim Erstellen des neuen Benutzerkontos - bitte das Fehlerprotokoll fr weitere Details berprfen.',
    510 => 'Die Standardeinstellungen sind fr alle Benutzer bernommen worden.',
    511 => '',
    512 => 'Benutzername enthlt ungltige Zeichen " < > / \ $ % * sind nicht erlaubt',
    513 => 'Remote Benutzername darf nicht leer sein.',
    514 => 'Remote Service darf nicht leer sein.',
    515 => 'Vielen Dank, das Konto wurde nun aktiviert.',
    516 => 'Der Aktivierungszeitraum ist abgelaufen.',
    517 => 'Dieses Konto wurde bereits aktiviert, bitte einloggen.',
    518 => 'Sie mssen sich anmelden, um eine Benachrichtigung abonnieren zu knnen.',
    519 => 'Sie haben diese Benachrichtigung bereits abonniert.',
    520 => 'Sie haben diese Benachrichtigung abonniert.',
    521 => 'Sie wurden fr diese Benachrichtigung erfolgreich abgemeldet.',
    522 => 'Remote-Konto wurde erfolgreich mit dem vorhandenen lokalen Konto zusammengefhrt',
    523 => 'Security Token has expired - please try again.',
    600 => 'Das Entwicklungs-Update wurde abgeschlossen - Bitte berprfen Sie, ob Plugins aktualisiert werden mssen'
);

###############################################################################

$LANG_ACCESS = array(
    'access' => 'Zugriff',
    'ownerroot' => 'Besitzer/Root',
    'group' => 'Gruppe',
    'readonly' => 'Nur Lesen',
    'accessrights' => 'Zugriffsrechte',
    'owner' => 'Besitzer',
    'grantgrouplabel' => 'Obiger Gruppe Editierrechte gewhren',
    'permmsg' => 'Hinweis:<ul><li>Mitglieder bedeutet alle angemeldeten Mitglieder</li><li>Gast steht fr alle nicht angemeldeten Besucher</li></ul>',
    'securitygroups' => '<br />Sichere-Gruppen',
    'editrootmsg' => "Obwohl Sie ein Benutzer-Administrator sind, knnen Sie die Informationen von Benutzern in der Root-Gruppe nicht ndern, ohne selbst Mitglied der Root-Gruppe zu sein. Sie knnen die Informationen aller anderen Benutzer bearbeiten, nur nicht die der Mitglieder der Root-Gruppe. Beachten Sie bitte, dass alle derartigen Versuche protokolliert werden. <a href=\"{$_CONF['site_admin_url']}/user.php\">Zurck zur Benutzer-Verwaltung</a>.",
    'securitygroupsmsg' => 'Hier knnen Sie festlegen, zu welchen Gruppen dieser Benutzer gehrt.',
    'groupeditor' => 'Gruppen-Editor',
    'description' => 'Beschreibung',
    'name' => 'Name',
    'rights' => 'Rechte',
    'missingfields' => 'Fehlende Angaben',
    'missingfieldsmsg' => 'Sie mssen einen Namen und eine Beschreibung fr die Gruppe angeben.',
    'groupmanager' => 'Gruppen-Verwaltung',
    'newgroupmsg' => '<ul><li>Um eine Gruppe zu bearbeiten oder zu lschen, bitte das entsprechende Symbol whlen.</li><li>Fr eine neue Gruppe bitte oben "Neu anlegen" whlen.</li><li>HINWEIS: Kern-Gruppen knnen nicht gelscht werden, da sie vom System bentigt werden.</li></ul>',
    'groupname' => 'Gruppen-Name',
    'coregroup' => 'Core-Gruppe',
    'yes' => 'Ja',
    'no' => 'Nein',
    'corerightsdescr' => "Diese Gruppe ist eine Kern-Gruppe von {$_CONF['site_name']}. Seien Sie sich sicher, dass Sie die nderungen verstehen, die Sie hier machen knnen. Das Folgende ist eine Liste der Rechte dieser Gruppe.",
    'groupmsg' => '<ul><li>Wenn Sie DIESE-GRUPPE zu einer der folgenden Sicheren-Gruppen hinzufgen, bekommt DIESE-GRUPPE die gleichen Rechte wie die unten ausgewhlte(n).</li><li>Wenn mglich, sollten Gruppenrechte durch Auswahl von Gruppen aus dieser Liste vergeben werden.</li><li>Werden nur einzelne Rechte bentigt, knnen diese auch aus der Liste der Rechte weiter unten ausgewhlt werden.</li><li>Um DIESE-GRUPPE zu einer der folgenden Gruppen hinzuzufgen, brauchen Sie nur unten die gewnschte(n) Gruppe(n) auswhlen.</li></ul>',
    'groupeditmsg' => '<ul><li>Hier knnen Sie eine neue Gruppe erstellen oder eine bestehende Gruppe bearbeiten.</li><li>Beachten Sie, dass Sie den Namen einer bereits existierenden Gruppe nicht ndern knnen.</li><li>Wenn Sie eine neue Gruppe erstellen, mssen Sie mindestens den Gruppen-Namen und die Gruppen-Beschreibung eingeben.</li></ul>',
    'coregroupmsg' => "Diese Gruppe ist eine Kern-Gruppe von {$_CONF['site_name']}. Bitte sei vorsichtig mit dem ndern der Kern-Gruppen. Das Folgende ist eine Liste der Gruppen, zu denen diese Gruppe gehrt.",
    'rightsdescr' => '<ul><li>Die folgenden Rechte knnen an DIESE-GRUPPE entweder direkt (durch Auswhlen) oder indirekt (wenn DIESE-GRUPPE zu einer Gruppe gehrt, die diese Rechte bereits besitzt) vergeben werden.</li><li>Die im Folgenden aufgefhrten Rechte ohne Auswahlmglichkeit sind indirekte Rechte, die von einer anderen Gruppe geerbt wurden, zu der DIESE-GRUPPE gehrt.</li><li>Alle anderen Rechte knnen DIESER-GRUPPE direkt durch anwhlen gegeben werden.</li></ul>',
    'lock' => 'Fixieren',
    'members' => 'Mitglieder',
    'anonymous' => 'Gast',
    'permissions' => 'Rechte',
    'permissionskey' => 'R = lesen, E = editieren, Editier-Rechte setzen Lese-Rechte voraus',
    'edit' => 'Bearbeiten',
    'none' => 'Keine',
    'accessdenied' => 'Zugriff verweigert',
    'storydenialmsg' => "Sie haben nicht die erforderlichen Berechtigungen, um diesen Artikel zu lesen. Mglicherweise sind Sie kein registrierter Benutzer von {$_CONF['site_name']}. Bitte <a href=\"{$_CONF['site_url']}/users.php?mode=new\" rel=\"nofollow\">Registrieren</a> von {$_CONF['site_name']} Sie sich, um vollen Zugriff auf alle Bereiche zu bekommen.",
    'nogroupsforcoregroup' => 'Diese Gruppe gehrt zu keiner anderen Gruppe.',
    'grouphasnorights' => 'Diese Gruppe hat keine Rechte fr die Administration der Webseite',
    'newgroup' => 'Neue Gruppe',
    'adminhome' => 'Kommandozentrale',
    'save' => 'Speichern',
    'cancel' => 'Abbruch',
    'delete' => 'Lschen',
    'canteditroot' => 'Sie haben versucht die Gruppe Root zu ndern, obwohl Sie selbst nicht Mitglied dieser Gruppe sind. Der Zugriff wurde daher verweigert. Wenden Sie sich bitte an den Systemadministrator wenn Sie der Meinung sind, dass das ein Fehler wre.',
    'listusers' => 'Mitglieder',
    'listthem' => 'anzeigen',
    'usersingroup' => 'Mitglieder der Gruppe "%s"',
    'usergroupadmin' => 'Benutzergruppen-Verwaltung',
    'add' => 'Hinzufgen',
    'remove' => 'Lschen',
    'availmembers' => 'Verfgbare Mitglieder',
    'groupmembers' => 'Mitglieder der Gruppe',
    'canteditgroup' => 'Um diese Gruppe bearbeiten zu knnen, mssen Sie selbst ein Mitglied der Gruppe sein. Wenden Sie sich bitte an den Systemadministrator wenn Sie der Meinung sind, dass das ein Fehler wre.',
    'cantlistgroup' => 'Um die Mitglieder dieser Gruppe sehen zu knnen, mssen Sieu selbst ein Mitglied der Gruppe sein. Wenden Sie sich bitte an den Systemadministrator wenn Sie der Meinung bist, dass das ein Fehler wre.',
    'editgroupmsg' => 'Um die Gruppenmitgliedschaft eines Benutzers zu ndern, bitte den Benutzernamen anklicken und entsprechend Hinzufgen oder Lschen anklicken. Nur Benutzer in der rechten Liste sind Mitglieder der Gruppe. Um die nderungen zu bernehmen und zur Gruppenliste zurckzukehren, den Button <b>Speichern</b> klicken.',
    'listgroupmsg' => 'Liste aller Mitglieder der Gruppe "<b>%s</b>"',
    'search' => 'Suchen',
    'submit' => 'Absenden',
    'limitresults' => 'Ergebnisse einschrnken',
    'group_id' => 'Gruppen-ID',
    'plugin_access_denied_msg' => 'Leider haben Sie keinen Zugriff auf die Plugin-Administrationsseite. Bitte beachten Sie, dass alle nicht autorisierten Zugriffe protokolliert werden.',
    'groupexists' => 'Gruppenname existiert schon',
    'groupexistsmsg' => 'Es existiert bereits eine Gruppe mit diesem Namen. Gruppennamen mssen eindeutig sein.',
    'copy' => 'Kopieren',
    'pe_namepass' => 'Benutzerkonto',
    'pe_userinfo' => 'Information',
    'pe_layout' => 'Sprache &amp; Design',
    'pe_content' => 'Inhalte',
    'pe_privacy' => 'Datenschutz',
    'editusers' => 'Bearbeiten',
    'sendemail' => 'E-Mail',
    'admingroup' => 'Admin',
    'defaultgroup' => 'Standard',
    'editinguser' => 'Bearbeite Benutzer: ',
    'createnewuser' => 'Neues Benutzerkonto anlegen',
    'confirm1' => 'Diese Gruppe wirklich lschen?',
    'confirm2' => 'Sind Sie sich absolut sicher, dass Sie diese Gruppe lschen mchten? Dies betrifft alle Benutzer oder Gruppen, die dieser Gruppe zugeordnet sind! Drcken Sie Abbrechen, und bearbeiten Sie diese Gruppe, wenn Sie die Details anzeigen mchten.',
    'token_expired' => 'Die Anmeldung ist abgelaufen. Bitte besttigen Sie Ihre Sitzung erneut.',
    'token_expired_footer' => 'Die Anmeldung fr diese Anfrage ist abgelaufen. Bitte besttigen Sie Ihre Sitzung erneut.',
    'validation_failed' => 'Validierung fehlgeschlagen - Bitte versuchen Sie es erneut.'
);

###############################################################################
# admin/database.php

$LANG_DB_ADMIN = array(
    'database_admin' => 'DB-Verwaltung',
    'last_ten_backups' => 'Sicherungen',
    'create_backup' => 'Sichern',
    'do_backup' => 'Sicherung anlegen',
    'backup_successful' => 'Sicherung der Datenbank war erfolgreich.',
    'db_explanation' => '<ul><li>Um ein neues Backup der Datenbank anzulegen, bitte oben auf "Sichern" klicken.</li><li>Ein Klick auf einen Dateinamen ldt das Backup herunter.',
    'backup_instructions' => '<ul><li>Um eine neue Sicherung der Datenbank zu erstellen, whlen Sie unten die Schaltflche "Sicherung anlegen". Dadurch werden alle aktuellen glFusion-Tabellen gesichert.</li><li>Sie knnen eine Kopie Ihrer Sicherung vom Hauptfenster der Datenbank-Administration herunterladen.</li></ul>',
    'zero_size' => 'Backup fehlgeschlagen: Datei ist 0 Bytes gro.',
    'path_not_found' => "{$_CONF['backup_path']} existiert nicht oder ist kein Verzeichnis.",
    'no_access' => "Fehler: Konnte nicht auf das Verzeichnis {$_CONF['backup_path']} zugreifen.",
    'backup_file' => 'Datenbank-Sicherung',
    'size' => 'Gre',
    'bytes' => 'Bytes',
    'total_number' => 'Anzahl der Sicherungen: %d',
    'download' => 'Anklicken, um diese Datei runterzuladen',
    'convert_menu' => 'InnoDB',
    'convert_title' => 'Umwandeln zu InnoDB-Tabellen',
    'convert_myisam_menu' => 'MyISAM',
    'convert_myisam_title' => 'Umwandeln zu MyISAM-Tabellen',
    'convert_button' => 'Umwandeln',
    'converting' => 'Umwandeln',
    'no_innodb' => 'Deine Version von MySQL untersttzt keine InnoDB-Tabellen.',
    'no_myisam' => 'Deine Version von MySQL untersttzt keine MyISAM-Tabellen.',
    'innodb_instructions' => 'InnoDB-Tabellen knnen eine bessere Leistung bei groen Datenbanken liefern.<br />Bitte <a href="http://dev.mysql.com/doc/refman/5.7/en/converting-tables-to-innodb.html" target="_blank">lies hier</a> ber Vor- und Nachteile von InnoDB-Tabellen, bevor Du eine Konvertierung durchfhrst.',
    'myisam_instructions' => 'MyISAM-Tabellen knnen eine bessere Leistung bei kleineren Datenbanken liefern.',
    'already_converted' => 'Es scheint, dass bereits alle Tabellen zu InnoDB-Tabellen umgewandelt wurden.',
    'already_converted_myisam' => 'Es scheint, dass bereits alle Tabellen zu MyISAM-Tabellen umgewandelt wurden.',
    'conversion_message' => 'Hinweis: Die Umwandlung kann einige Zeit in anspruch nehmen - bitte habe etwas Geduld.',
    'innodb_success' => 'Tabellen wurden erfolgreich zu InnoDB-Tabellen umgewandelt.',
    'myisam_success' => 'Tabellen wurden erfolgreich zu MyISAM-Tabellen umgewandelt.',
    'table_issues' => 'Mglicherweise gab es Probleme bei einigen Tabellen. Bitte berprfe error.log fr Details.',
    'optimize_menu' => 'Tabellen',
    'optimize_title' => 'Tabellen optimieren',
    'optimize_button' => 'Optimieren',
    'optimizing' => 'Optimierung',
    'optimize_explain' => 'Das optimieren von Tabellen kann dazu beitragen, die Leistung Ihrer Website zu verbessern. Die tatschliche Auswirkung hngt von der Nutzung der Tabelle ab. Einige Tabellen knnen viel davon profitieren, andere hingegen wenig. Erwarten Sie jetzt nicht, einen groen Unterschied in der Leistung zu sehen. Das <a href="http://dev.mysql.com/doc/mysql/de/optimize-table.html" target="_blank">MySQL-Handbuch</a> besagt, dass eine Optimierung einmal pro Woche oder Monat ausreichend ist.',
    'last_optimization' => 'Letzte Optimierung',
    'optimization_message' => 'Hinweis: Die Optimierung kann einige Zeit in anspruch nehmen - bitte haben Sie etwas Geduld.',
    'optimize_success' => 'Datenbank-Tabellen wurden erfolgreich optimiert.',
    'conversion_status' => 'Status der Umwandlung',
    'optimization_status' => 'Status der Optimierung',
    'backup_status' => 'Status der Sicherung',
    'backingup' => 'Sicherung durchfhren',
    'backup_title' => 'glFusion Datenbank sichern',
    'backup_warning' => 'Hinweis: Die Konfiguration ist so eingestellt, dass nur die Datenbankstrukturen gesichert wird. Es werden <b>keine Inhalte</b> gesichert!',
    'latest_backup' => 'Letzte Sicherung',
    'tables_to_backup' => 'Tabellen zum Sichern',
    'include' => 'Einschlieen',
    'exclude' => 'Ausschlieen',
    'options' => 'Optionen',
    'struct_only' => 'Nur Datenbankstruktur sichern (keine Inhalte)',
    'max_files' => 'Maximale Anzahl an Sicherungen',
    'disable_purge' => '("0" fr unbegrenzt.)',
    'use_gzip' => 'Benutze GZip wenn verfgbar',
    'configure' => 'Konfigurieren',
    'config_instructions' => '<ul><li>Whlen Sie alle Tabellen aus, die Sie aus der Sicherung ausschlieen mchten.</li><li>Sie knnen auch festlegen, wie viele Backups beibehalten werden.</li><li>ltere Backups werden automatisch gelscht.</li></ul>',
    'utf8_title' => 'UTF8MB4',
    'utf8_instructions' => 'Eine Aktualsierung Ihrer Seite von UTF-8 zu UTF8MB4 - bietet Ihnen volle Untersttzung fr alle Unicode-Zeichen.<br /><br />Die aktuelle Datenbank-Sortierung ist <b>%s</b> und der aktuelle Datenbank-Zeichensatz ist <b>%s</b>.',
    'utf8_success' => 'UTF8 Aktualisierung wurde erfolgreich abgeschlossen',
    'retrieve_tables' => 'Tabellen abrufen',
    'error_heading' => 'Fehler',
    'no_errors' => 'Es sind keine Fehler aufgetreten',
    'error_db_utf' => 'Fehler beim Aktualisieren der Datenbank zu UTF8MB4',
    'error_table_utf' => 'Fehler beim Aktualisieren der Datenbank zu UTF8MB4',
    'error_column_utf' => 'Fehler beim Aktualisieren der Datenbank zu UTF8MB4',
    'error_sc' => 'Fehler beim Aktualisieren von siteconfig.php - Bitte aktualisieren Sie db_charset manuell',
    'current_progress' => 'Aktueller-Fortschritt',
    'overall_progress' => 'Gesamt-Fortschritt',
    'no_backups_found' => 'Keine Backup-Dateien gefunden',
    'error_msg' => 'Die folgenden Fehler sind aufgetreten'
);

###############################################################################
# Two Factor Authentication

$LANG_TFA = array(
    'error_invalid_code' => 'Ungltiger Sicherheits-Code! Bitte geben Sie einen gltigen Sicherheits-Code Ihrer Authentifizierungs-App ein oder verwenden Sie einen Ihrer gespeicherten Sicherheits-Codes.',
    'two_factor' => 'Zweistufige Anmeldung',
    'two_factor_enabled' => 'Zweistufige Anmeldung aktiviert',
    'disable_tfa' => 'Zweistufige Anmeldung deaktivieren',
    'enroll_tfa' => 'Zweistufige Anmeldung anktivieren',
    'auth_code' => 'Sicherheits-Code',
    'verify' => 'berprfen',
    'disable_warning' => 'Wenn Sie die Zweistufige Anmeldung deaktivieren, wird Ihr Konto weniger sicher. Sind Sie sicher das Sie das wollen?',
    'ajax_error' => 'Es gab eine Fehler bei Ihrer Anfrage. Bitte versuchen Sie es spter erneut.',
    'download_backup' => 'Sicherheits-Codes speichern',
    'enrolled' => '<p>Diese Seite untersttzt eine zweistufige Anmeldung um Ihr Konto besser zu schtzen.</p><p>Die zweistufige Anmeldung ist fr Ihr Konto derzeit <strong>aktiviert</strong>.</p>',
    'regenerate_backup' => '<p>Wenn Sie Ihre Sicherheits-Codes verlegt oder bereits verwendet haben, knnen Sie sie hier zurcksetzen.</p><p><strong>Zuvor erstellte Sicherheits-Codes werden dadurch ungltig.</strong></p>',
    'regenerate_button' => 'Neue Sicherheits-Codes erstellen',
    'disable_tfa_help' => 'Wenn Sie wollen, knnen Sie hier die zweistufige Anmeldung deaktivieren.',
    'disable_tfa_button' => 'Zweistufige Anmeldung deaktivieren',
    'not_enrolled' => '<p>Diese Seite untersttzt eine zweistufige Anmeldung um Ihr Konto besser zu schtzen.</p><p>Die zweistufige Anmeldung ist fr Ihr Konto derzeit <strong>deaktiviert</strong>.</p>',
    'enroll_button' => 'Zweistufige Anmeldung aktivieren',
    'error_verify_failed' => 'Ungltiger Sicherheits-Code! Bitte verwenden Sie einen gltigen Sicherheits-Code Ihrer Authentifizierungs-App.',
    'enroll_success' => '<p>Sie haben die zweistufige Anmeldung fr Ihr Konto aktiviert.</p><p>Nachfolgend finden Sie Sicherheits-Codes mit denen Sie sich anmelden knnen sofern Sie keinen Zugriff auf Ihre Authentifizierungs-App haben. Bitte bewahren Sie diese Sicherheits-Codes an einem sicheren Ort auf.</p>',
    'scan_qrcode' => 'Scannen Sie das Bild mit Ihrer Authentifizierungs-App',
    'enter_secret' => 'Oder geben Sie diese Zeichen ein:',
    'enroll_enter_code' => 'Und geben Sie dann den Code ein, den Ihnen Ihre Authentifizierungs-App gibt:',
    'general_error' => 'Bei der Verarbeitung Ihrer Anfrage ist ein Fehler aufgetreten. Bitte berprfen Sie die Datei error.log fr weiter Details.',
    'copy_success' => 'Sicherheits-Codes in die Zwischenablage kopiert',
    'copy_to_clipboard' => 'In die Zwischenablage kopieren'
);

###############################################################################
# Password Rules

$LANG_PWD = array(
    'title' => 'Passwrter mssen die folgenden Anforderungen erfllen',
    'min_length' => 'Muss lnger als %s Zeichen sein',
    'max_length' => 'Darf nicht lnger als %s Zeichen sein',
    'req_num' => 'Muss mindestens eine Nummer enthalten',
    'req_letter' => 'Muss mindestens einen Buchstaben enthalten',
    'req_cap' => 'Muss mindestens einen Grobuchstaben enthalten',
    'req_lower' => 'Muss mindestens einen Kleinbuchstaben enthalten',
    'req_symbol' => 'Muss mindestens ein Sonderzeichen wie z.B. ! $ % * & ^ enthalten',
    'error_too_short' => 'Passwort ist zu kurz',
    'error_too_long' => 'Passwort ist zu lang',
    'error_no_number' => 'Passwort muss mindestens eine Nummer enthalten',
    'error_no_letter' => 'Passwort muss mindestens einen Buchstaben enthalten',
    'error_no_cap' => 'Passwort muss mindestens einen Grobuchstaben enthalten',
    'error_no_lower' => 'Passwort muss mindestens einen Kleinbuchstaben enthalten',
    'error_no_symbol' => 'Passwort muss mindestens ein Sonderzeichen enthalten'
);

###############################################################################

$LANG_BUTTONS = array(
    1 => 'Startseite',
    2 => 'Kontakt',
    3 => 'Artikel einsenden',
    4 => '',
    5 => '',
    6 => '',
    7 => 'Statistik',
    8 => 'Einstellungen',
    9 => 'Suchen',
    10 => 'Erweiterte Suche',
    11 => 'Verzeichnis'
);

###############################################################################
# 404.php

$LANG_404 = array(
    1 => '404 - Hmm, die Seite konnte leider nicht gefunden werden',
    2 => '<div class="story-body">Die Seite existiert anscheinend nicht mehr, mgliche Ursachen knnten sein:<ul><li>Ein veraltetes Lesezeichen in deinen Favoriten</li><li>Eine Suchmaschine, die eine veraltete Liste fr diese Website hat</li><li>Vertippt oder eine falsche Adresse</li></ul></div>',
    3 => "<p>Bitte versuchen Sie eine der folgenden Mglichkeiten:<ul style=\"margin-left:15px;padding-top:10px;\"><li><a href=\"{$_CONF['site_url']}\">Startseite</a></li><li><a href=\"{$_CONF['site_url']}/search.php\">Erweiterte Suche</a></li></ul></p>"
);

###############################################################################
# login form

$LANG_LOGIN = array(
    1 => 'Anmeldung erforderlich',
    2 => 'Sorry, aber um auf diesen Bereich zugreifen zu knnen, mssen Sie angemeldet sein.',
    3 => 'Anmelden',
    4 => 'Neuer Benutzer'
);

###############################################################################
# trackback.php

$LANG_TRB = array(
    'trackback' => 'Trackback',
    'from' => 'von',
    'tracked_on' => 'Empfangen am',
    'read_more' => '[Mehr lesen]',
    'intro_text' => 'Andere haben folgendes ber \'%s\' geschrieben:',
    'no_comments' => 'Keine Trackback-Kommentare fr diesen Eintrag.',
    'this_trackback_url' => 'Trackback-URL fr diesen Eintrag:',
    'num_comments' => '%d Trackback-Kommentare',
    'send_trackback' => 'Pings senden',
    'preview' => 'Vorschau',
    'editor_title' => 'Trackback-Kommentar senden',
    'trackback_url' => 'Trackback-URL',
    'entry_url' => 'URL des Eintrags',
    'entry_title' => 'Titel des Eintrags',
    'blog_name' => 'Seitenname',
    'excerpt' => 'Auszug',
    'truncate_warning' => 'Hinweis: Die empfangende Seite knnte den Auszug krzen.',
    'button_send' => 'Absenden',
    'button_preview' => 'Vorschau',
    'send_error' => 'Fehler',
    'send_error_details' => 'Fehler beim Senden des Trackback-Kommentars:',
    'url_missing' => 'Keine URL fr den Eintrag',
    'url_required' => 'Es muss mindestens die URL fr den Eintrag angegeben werden.',
    'target_missing' => 'Keine Trackback-URL',
    'target_required' => 'Bitte gib die Trackback-URL ein.',
    'error_socket' => 'Socket konnte nicht geffnet werden.',
    'error_response' => 'Antwort nicht verstanden.',
    'error_unspecified' => 'Fehler nicht nher spezifiziert.',
    'select_url' => 'Trackback-URL auswhlen',
    'not_found' => 'Trackback-URL nicht gefunden',
    'autodetect_failed' => 'glFusion konnte keine Trackback-URL fr den Beitrag finden, zu dem der Kommentar gesendet werden sollte. Bitte gib die Trackback-URL von Hand ein.',
    'trackback_explain' => 'Aus den unten aufgefhrten Links knnen Sie jetzt den Beitrag auswhlen, zu dem Ihr Kommentar gesendet werden soll. glFusion wird versuchen, die Trackback-URL selbst zu ermitteln. Andernfalls knnen Sie die Trackback-URL aber auch <a href="%s">von Hand eingeben</a>.',
    'no_links_trackback' => 'Keine Links gefunden. Fr diesen Beitrag knnen keine Trackback-Kommentare gesendet werden.',
    'pingback' => 'Pingback',
    'pingback_results' => 'Pingback-Ergebnisse',
    'send_pings' => 'Pings senden',
    'send_pings_for' => 'Pings fr "%s" senden',
    'no_links_pingback' => 'Keine Links gefunden. Es wurden keine Pingbacks fr diesen Beitrag gesendet.',
    'pingback_success' => 'Pingback gesendet.',
    'no_pingback_url' => 'Keine Pingback-URL gefunden.',
    'resend' => 'Nochmal senden',
    'ping_all_explain' => 'Sie knnen jetzt einen <a href="http://en.wikipedia.org/wiki/Pingback">Pingback</a> zu den verlinkten Seiten senden, einen Ping an Weblog-Verzeichnisse senden, oder einen <a href="http://de.wikipedia.org/wiki/Trackback">Trackback</a>-Kommentar versenden, wenn Sie ber einen Beitrag in einem anderen Weblog geschrieben haben.',
    'pingback_button' => 'Pingback senden',
    'pingback_short' => 'Einen Pingback an alle in diesem Beitrag verlinkten Seiten senden.',
    'pingback_disabled' => '(Pingback deaktiviert)',
    'ping_button' => 'Ping senden',
    'ping_short' => 'Weblog-Verzeichnisse "anpingen".',
    'ping_disabled' => '(Ping deaktiviert)',
    'trackback_button' => 'Trackback senden',
    'trackback_short' => 'Einen Trackback-Kommentar senden.',
    'trackback_disabled' => '(Trackback deaktiviert)',
    'may_take_a_while' => 'Hinweis: Das Senden von Pingbacks und Pings kann eine Weile dauern.',
    'ping_results' => 'Ping-Ergebnisse',
    'unknown_method' => 'Unbekannte Ping-Methode',
    'ping_success' => 'Ping gesendet.',
    'error_site_name' => 'Bitte gib den Namen der Seite ein.',
    'error_site_url' => 'Bitte gib die URL der Seite ein.',
    'error_ping_url' => 'Bitte gib die Ping-URL der Seite ein.',
    'no_services' => 'Es sind keine Weblog-Verzeichnisse konfiguriert.',
    'services_headline' => 'Weblog-Verzeichnisse',
    'service_explain' => '<ul><li>Um ein Weblog-Verzeichnis zu bearbeiten oder zu lschen, bitte auf das Bearbeiten-Icon klicken.</li><li>Um ein neues Weblog-Verzeichnis einzutragen, bitte oben auf "Neu anlegen" klicken.</li></ul>',
    'service' => 'Verzeichnis',
    'ping_method' => 'Ping-Methode',
    'service_website' => 'Webseite',
    'service_ping_url' => 'Ping-URL',
    'ping_standard' => 'Normaler Ping',
    'ping_extended' => 'Erweiterter Ping',
    'ping_unknown' => '(unbekannte Methode)',
    'edit_service' => 'Weblog-Verzeichnis bearbeiten',
    'trackbacks' => 'Trackbacks',
    'editor_intro' => 'Hier knnen Sie ihren Trackback-Kommentar fr <a href="%s">%s</a> eingeben.',
    'editor_intro_none' => 'Trackback-Kommentar eingeben.',
    'trackback_note' => 'Um einen Trackback-Kommentar fr einen Artikel zu versenden, benutze bitte den "Ping"-Eintrag in der Liste der Artikel.<br />Um einen Trackback unabhngig von einem Artikel zu versenden, bitte <a href="%s">hier klicken</a>.',
    'pingback_explain' => 'Geben Sie eine URL ein, an die der Pingback gesendet werden soll. Der Pingback wird auf die Startseite Ihrer Webseite verweisen.',
    'pingback_url' => 'Pingback-URL',
    'site_url' => 'Die URL dieser Webseite',
    'pingback_note' => 'Um einen Pingback fr einen Artikel zu versenden, benutze bitte den "Ping"-Eintrag in der Liste der Artikel.<br />Um einen Pingback unabhngig von einem Artikel zu versenden, bitte <a href="%s">hier klicken</a>.',
    'pbtarget_missing' => 'Keine Pingback-URL',
    'pbtarget_required' => 'Gib bitte die Pingback-URL ein',
    'pb_error_details' => 'Fehler beim Senden des Pingbacks:',
    'delete_trackback' => 'Trackback direkt lschen: ',
    'edit_explain' => 'Hier knnen Sie einen Trackback oder Ping-Service bearbeiten oder neu erstellen.',
    'ping_explain' => 'Hier knnen Sie eine Pingback-Anfrage fr Ihre Artikel senden.',
    'trb_explain' => 'Hier knnen Sie eine Trackback-Anfrage senden.'
);

###############################################################################
# directory.php

$LANG_DIR = array(
    'title' => 'Artikel-Verzeichnis',
    'title_year' => 'Artikel-Verzeichnis fr %d',
    'title_month_year' => 'Artikel-Verzeichnis fr %s %d',
    'nav_top' => 'Zurck zum Artikel-Verzeichnis',
    'no_articles' => 'Keine Artikel.'
);

###############################################################################
# "What's New" Time Strings
# 
# For the first two strings, you can use the following placeholders.
# Order them so it makes sense in your language:
# %i    item, "Stories"
# %n    amount, "2", "20" etc.
# %t    time, "2" (weeks)
# %s    scale, "hrs", "weeks"

$LANG_WHATSNEW = array(
    'new_string' => '%n neue %i in den letzten %t %s',
    'new_last' => 'der letzten %t %s',
    'minutes' => 'Minuten',
    'hours' => 'Stunden',
    'days' => 'Tagen',
    'weeks' => 'Wochen',
    'months' => 'Monate',
    'minute' => 'Minute',
    'hour' => 'Stunde',
    'day' => 'Tag',
    'week' => 'Woche',
    'month' => 'Monat'
);

###############################################################################
# Month names

$LANG_MONTH = array(
    1 => 'Januar',
    2 => 'Februar',
    3 => 'Mrz',
    4 => 'April',
    5 => 'Mai',
    6 => 'Juni',
    7 => 'Juli',
    8 => 'August',
    9 => 'September',
    10 => 'Oktober',
    11 => 'November',
    12 => 'Dezember',
    13 => 'Jan',
    14 => 'Feb',
    15 => 'Mr',
    16 => 'Apr',
    17 => 'Mai',
    18 => 'Jun',
    19 => 'Jul',
    20 => 'Aug',
    21 => 'Sep',
    22 => 'Okt',
    23 => 'Nov',
    24 => 'Dez'
);

###############################################################################
# Weekdays

$LANG_WEEK = array(
    1 => 'Sonntag',
    2 => 'Montag',
    3 => 'Dienstag',
    4 => 'Mittwoch',
    5 => 'Donnerstag',
    6 => 'Freitag',
    7 => 'Samstag',
    8 => 'So',
    9 => 'Mo',
    10 => 'Di',
    11 => 'Mi',
    12 => 'Do',
    13 => 'Fr',
    14 => 'Sa'
);

###############################################################################
# Admin - Strings
# 
# These are some standard strings used by core functions as well as plugins to
# display administration lists and edit pages

$LANG_ADMIN = array(
    'search' => 'Suchen',
    'limit_results' => 'Anzahl Ergebnisse',
    'submit' => 'Absenden',
    'edit' => 'Bearbeiten',
    'edit_adv' => 'Erw. Editor',
    'admin_home' => 'Kommandozentrale',
    'create_new' => 'Neu anlegen',
    'create_new_adv' => 'Neu anlegen (Erw.)',
    'enabled' => 'Aktiv',
    'title' => 'Titel',
    'type' => 'Typ',
    'topic' => 'Kategorie',
    'help_url' => 'URL f. Hilfe-Datei',
    'save' => 'Speichern',
    'cancel' => 'Abbruch',
    'delete' => 'Lschen',
    'delete_sel' => 'Ausgewhlte lschen',
    'copy' => 'Kopieren',
    'no_results' => '- Keine Eintrge gefunden -',
    'data_error' => 'Beim Verarbeiten der Abonnement-Daten ist ein Fehler aufgetreten. Bitte berprfen Sie die Datenquelle.',
    'preview' => 'Vorschau',
    'records_found' => 'Eintrge',
    'addchild' => 'Element hinzufgen',
    'list' => 'Auflisten',
    'list_all' => 'Alle auflisten',
    'na' => '-',
    'enable' => 'Aktivieren',
    'disable' => 'Deaktivieren',
    'admin_users' => 'Benutzer-Verwaltung',
    'admin_groups' => 'Gruppen-Verwaltung',
    'action' => 'Aktion fr alle ausgewhlten:',
    'authenticate' => 'Anmelden',
    'select' => 'Whle',
    'name' => 'Name',
    'submissions' => 'Einsendungen',
    'moderate' => 'Speichern & Genehmigen',
    'story_list' => 'Artikel-Liste',
    'block_list' => 'Block-Liste',
    'topic_list' => 'Kategorie-Liste',
    'tb_list' => 'Trackback-Liste',
    'custom_autotag' => 'Persnliche-Autotags',
    'alt_topic' => 'Alternative-Kategorie',
    'timeout_msg' => 'Ihre Sitzung wird in Krze wegen Inaktivitt ablaufen. Bitte drcken Sie "OK" um die Sitzung wieder zu aktualisieren.',
    'reset' => 'Zurcksetzen',
    'remaining_chars' => 'Verbleibende Zeichen '
);

###############################################################################
# Widgets - Strings
# 
# These are some standard strings used by the widget static pages

$LANG_WIDGETS = array(
    'latest_news' => 'Letzte Nachrichten',
    'translate' => 'Auf die Flagge klicken fr eine automatisch bersetzung dieses Auftritts in die jeweilige Landessprache',
    'prev' => 'Zurck',
    'next' => 'Nchste',
    'playpause' => 'Abspielen/Pause',
    'noOpera' => 'Diese Skript verndert nicht automatisch die Rahmengre im Opera-Browser.'
);

# Localisation of the texts for the various drop-down menus that are actually
# stored in the database. If these exist, they override the texts from the
# database.

$LANG_commentcodes = array(
    0 => 'Kommentare erlaubt',
    -1 => 'Kommentare deaktiviert',
    1 => 'Kommentare geschlossen'
);

$LANG_commentmodes = array(
    'flat' => 'Der Reihe nach',
    'nested' => 'Verschachtelt',
    'nocomment' => 'Keine Kommentare'
);

$LANG_cookiecodes = array(
    0 => '(gar nicht)',
    3600 => '1 Stunde',
    7200 => '2 Stunden',
    10800 => '3 Stunden',
    28800 => '8 Stunden',
    86400 => '1 Tag',
    604800 => '1 Woche',
    2678400 => '1 Monat'
);

$LANG_dateformats = array(
    0 => 'Standardeinstellung'
);

$LANG_featurecodes = array(
    0 => 'Normaler Artikel',
    1 => 'Hauptartikel'
);

$LANG_frontpagecodes = array(
    0 => 'Nur in der Kategorie',
    1 => 'Auch auf der Startseite',
    2 => 'Auf der Startseite anzeigen bis'
);

$LANG_postmodes = array(
    'plaintext' => 'als Text',
    'html' => 'in HTML'
);

$LANG_sortcodes = array(
    'ASC' => 'lteste zuerst',
    'DESC' => 'Neueste zuerst'
);

$LANG_trackbackcodes = array(
    0 => 'Trackbacks aktiviert',
    -1 => 'Trackbacks deaktiviert'
);
# Localisation of the texts for the BBCode Editor
###############################################################################
# lib-bbcode.php

$LANG_BBCODE = array(
    'bold_label' => 'B',
    'italic_label' => 'i',
    'underline_label' => 'u',
    'quote_label' => 'Quote',
    'code_label' => 'Code',
    'list_label' => 'List',
    'olist_label' => 'List=',
    'listitem_label' => '[*]',
    'img_label' => 'Img',
    'url_label' => 'URL',
    'smiley_label' => 'Smileys',
    'size_label' => 'Font Size',
    'color_label' => 'Font Color',
    'bold_help' => 'Bold text: [b]text[/b]',
    'italic_help' => 'Italic text: [i]text[/i]',
    'underline_help' => 'Underline text: [u]text[/u]',
    'quote_help' => 'Quote text: [quote]text[/quote]',
    'code_help' => 'Code display: [code]code[/code]',
    'list_help' => 'List: [list]text[/list]',
    'olist_help' => 'List: [list=]text[/list]',
    'listitem_help' => 'List item: [*]text[/*]',
    'img_help' => 'Insert image: [img]http://image_url[/img]',
    'url_help' => 'Insert URL: [url]http://url[/url] or [url=http://url]URL text[/url]',
    'smiley_help' => 'Open Smiley Window',
    'size_help' => 'Font size: [size=9]small text[/size]',
    'color_help' => 'Text Color: [color=red]red text[/color]',
    'size_tiny' => 'Tiny',
    'size_small' => 'Small',
    'size_normal' => 'Normal',
    'size_large' => 'Large',
    'size_huge' => 'Huge',
    'color_default' => 'Default',
    'color_darkred' => 'Dark Red',
    'color_red' => 'Red',
    'color_orange' => 'Orange',
    'color_brown' => 'Brown',
    'color_yellow' => 'Yellow',
    'color_green' => 'Green',
    'color_olive' => 'Olive',
    'color_cyan' => 'Cyan',
    'color_blue' => 'Blue',
    'color_darkblue' => 'Dark Blue',
    'color_indigo' => 'Indigo',
    'color_violet' => 'Violet',
    'color_white' => 'White',
    'color_black' => 'Black',
    'formatted_code' => 'Formatted Code'
);

# Localisation of the texts for the Admin file check
###############################################################################
# filecheck.php

$LANG_FILECHECK = array(
    'filecheck' => 'Datei-Integrittsprfung',
    'recheck' => 'berprfen der Datei-Integritt',
    'confirm' => 'Sollen die ausgewhleten Dateien wirklich gelscht werden?',
    'scan' => 'Die Datei-Integritt dieser Webseite wird analysiert. Bitte haben Sie etwas Geduld. Dieser Vorgang kann eine Weile dauern. Die Ausfhrungsgeschwindigkeit hngt von der Hosting-Umgebung ab. Wenn das Skript sich der maximalen PHP-Skript-Ausfhrungszeit von %s Sekunden nhert, wird das Scannen unterbrochen und eine Fehlermeldung angezeigt.',
    'results' => 'Die Dateien und Verzeichnisse dieser Webseite sind mit glFusion Version v%s verglichen worden. Die Ergebnisse sind unten dargestellt. Hinzugefgt oder fehlende Dateien und Verzeichnisse sind identifiziert worden. Dateien, die hinzugefgt wurden, knnen ausgewhlt und gelscht werden. Neu erkannte Verzeichnisse mssen gegenwrtig manuell entfert werden. <br /><br /> Zustzliche erkannte Dateien/Verzeichnisse, die Sie hinzugefgt haben, die mit Plugins oder anderen Skripts in Verbindung gebracht werden sind kritisch fr den Betrieb dieser Webseite. <b>Das bedeutet: Sie sollten diese Dateien nicht einfach lschen!&nbsp;&nbsp;<span style="color:red">Bitte benutzen Sie dieses Tool unbedingt mit Vorsicht!</span></b>',
    'expiration1' => 'HINWEIS: Der Scan wurde abgebrochen, weil die PHP Ausfhrungszeit berschritten wurde. Dieses Analyseskript ist CPU- und Transfer-intensiv und kann durch eine Reihe von Faktoren in Ihrer Web-Hosting-Umgebung beeinflusst werden. Bitte beachten Sie folgenden Empfehlungen zur Behebung dieses Problems:<br />',
    'expiration2' => '<ol><li>Erhhen Sie den Wert der \'max_execution_time\' in der Datei php.ini. Derzeit sind %s Sekunden eingestellt.</li><li>berprfen Sie Ihre Website manuell und entfernen Sie alle nicht bentigten Dateien und Verzeichnisse.</li></ol>',
    'abort' => 'Scan abbrechen',
    'aborted' => 'Der Scan wurde abgebrochen.',
    'where' => 'Wo',
    'type' => 'Typ',
    'delta' => 'nderung:',
    'location' => 'Ort',
    'path' => 'Pfad',
    'file' => 'Datei',
    'dir' => 'Verzeichnis',
    'plugin' => 'Plugin',
    'added' => 'Hinzugefgt',
    'missing' => 'Fehlt',
    'removed' => '%s %s gelscht. Die Datei-Integritt Ihrer Seite wurde nochmal geprft mit folgendem Ergebniss.',
    'working' => 'Datei-Integrittsprfung: Bitte warten, ...<br />',
    'elapsed' => 'Scan beendet nach %s Sekunden.'
);

# Localisation of the texts for Menu Builder
###############################################################################
# Menu Builder

$LANG_MB01 = array(
    'javascript_required' => 'Men Manager erfordert aktiviertes JavaScript.',
    'create_element' => 'Neuer Eintrag',
    'add_new' => 'Neuer Men-Punkt',
    'add_newmenu' => 'Neues Men',
    'edit_menu' => 'Men bearbeiten',
    'menu_list' => 'Men-bersicht',
    'configuration' => 'Konfigurieren',
    'edit_element' => 'Bearbeite Men-Eintrag',
    'menu_element' => 'Men-Eintrag',
    'menu_type' => 'Men-Typ',
    'elements' => 'Eintrge',
    'enabled' => 'Aktiviert',
    'edit' => 'Bearbeiten',
    'delete' => 'Lschen',
    'move_up' => 'Nach oben',
    'move_down' => 'Nach unten',
    'order' => 'Reihenfolge',
    'id' => 'ID',
    'parent' => 'bergeordnet',
    'label' => 'Men-Name',
    'elementlabel' => 'Bezeichnung',
    'display_after' => 'Anzeigen nach',
    'type' => 'Men-Typ',
    'url' => 'URL',
    'php' => 'PHP Funktion',
    'coretype' => 'glFusion Men',
    'group' => 'Gruppe',
    'permission' => 'Sichtbar fr',
    'active' => 'Aktiv',
    'top_level' => 'Men in der obersten Ebene',
    'confirm_delete' => 'Mchten Sie diesen Men-Element wirklich lschen?',
    'type_submenu' => 'Untermen',
    'type_url_same' => 'Gleiches Fenster',
    'type_url_new' => 'Neues Fenster mit Navigation',
    'type_url_new_nn' => 'Neues Fenster ohne Navigation',
    'type_core' => 'glFusion Men',
    'type_php' => 'PHP Funktion',
    'gl_user_menu' => 'Benutzer-Menu',
    'gl_admin_menu' => 'Admin-Menu',
    'gl_topics_menu' => 'Kategorie-Menu',
    'gl_sp_menu' => 'Static Pages-Menu',
    'gl_plugin_menu' => 'Plugin-Menu',
    'gl_header_menu' => 'Header-Menu',
    'plugins' => 'Plugin',
    'static_pages' => 'Static Pages',
    'glfusion_function' => 'glFusion Funktion',
    'cancel' => 'Abbrechen',
    'action' => 'Aktion',
    'first_position' => 'Erste Position',
    'info' => 'Info',
    'non-logged-in' => 'Gste',
    'target' => 'URL Window',
    'same_window' => 'Gleiches Fenster',
    'new_window' => 'Neues Fenster',
    'menu_builder' => 'Men Manager',
    'logo' => 'Logo',
    'menu_colors' => 'Men-Optionen',
    'options' => 'Optionen',
    'menu_graphics' => 'Men-Design',
    'graphics_or_colors' => 'Bilder oder Farben verwenden?',
    'graphics' => 'Bilder',
    'colors' => 'Farben',
    'menu_bg_image' => 'Haupt-Men Hintergrundbild',
    'currently' => 'Derzeit',
    'menu_hover_image' => 'Haupt-Men Hover-Bild',
    'parent_item_image' => 'Untermen-Anzeiger',
    'not_used' => 'Wird nicht verwendet, wenn Grafik ausgewhlt ist.',
    'select_color' => 'Farbe whlen',
    'menu_alignment' => 'Men Ausrichtung',
    'alignment_question' => 'Men ausrichten nach',
    'align_left' => 'Links',
    'align_right' => 'Rechts',
    'blocks' => 'Block Styles',
    'reset' => 'Zurcksetzen',
    'defaults' => 'Auf Standardwerte zurcksetzen',
    'confirm_reset' => 'Dadurch werden die Farben und Grafiken auf Standartwerte zurckgesetzt und der Template-Cache automatisch gelscht. Sind Sie sicher, dass Sie weitermachen wollen? (Nach nderungen am Design, nicht vergessen, den Browser-Cache zu leeren/lschen).',
    'menu_properties' => 'Men Eigenschaften fr',
    'disabled_plugin' => 'Plugin nicht gefunden bzw. deaktiviert',
    'clone' => 'Kopieren',
    'clone_menu_label' => 'Name des Kopierten Mens',
    'topic' => 'Kategorien',
    'no_elements' => 'Keine Men-Elemente ausgewhlt',
    'return_to' => 'Zurck zu ',
    'menu_name_error' => 'Men-Name darf nicht leer sein',
    'menu_name_space' => 'Men-Name darf keine Leerzeichen enthalten',
    'menu_name_exists' => 'Men-Name muss eindeutig sein, es gibt schon ein Men mit diesem Namen'
);

###############################################################################
# menu.php

$LANG_MB_MENU_TYPES = array(
    1 => 'Horizontal - Verschachtelt',
    2 => 'Horizontal - Einfach',
    3 => 'Vertical - Verschachtelt',
    4 => 'Vertical - Einfach'
);

###############################################################################
# menu.php

$LANG_MB_TYPES = array(
    1 => 'Unter-Men',
    2 => 'glFusion-Aktion',
    3 => 'glFusion-Men',
    4 => 'Plugin',
    5 => 'Static Page',
    6 => 'Externe URL',
    7 => 'PHP Funktion',
    8 => 'Beschriftung',
    9 => 'Kategorie'
);

###############################################################################
# menu.php

$LANG_MB_TARGET = array(
    1 => 'Gleiches Fenster',
    2 => 'Neues Fenster mit Navigation',
    3 => 'Neues Fenster ohne Navigation'
);

###############################################################################
# menu.php

$LANG_MB_GLFUNCTION = array(
    0 => 'Startseite',
    1 => 'Einsenden',
    2 => 'Verzeichnis',
    3 => 'Einstellungen',
    4 => 'Suche',
    5 => 'Statistik'
);

###############################################################################
# menu.php

$LANG_MB_GLTYPES = array(
    1 => 'Benutzer-Men',
    2 => 'Admin-Men',
    3 => 'Kategorie-Men',
    4 => 'Static Pages-Men',
    5 => 'Plugin-Men',
    6 => 'Header-Men'
);

###############################################################################
# menu.php

$LANG_MB_ADMIN = array(
    1 => '<ul><li>Mit dem Men Manager knnen Sie Mens fr Ihre Website erstellen und bearbeiten.</li><li>Um ein neues Men hinzuzufgen, klicken Sie oben auf "Neues Men".</li><li>Um die Eintrge eines Mens zu bearbeiten, klicken Sie auf das entsprechende Bearbeiten-Symbol in der Spalte "Eintrge".</li><li>Um die Men-Eigenschaften zu ndern, klicken Sie auf das entsprechende Symbol in der Spalte "Optionen".</li></ul>',
    2 => '<ul><li>Um ein neues Men zu erstellen, geben Sie unten einen Men-Namen und einen Men-Typ an.</li><li>Sie knnen auch den Status festlegen und welche Gruppe von Benutzern das Men sehen kann.</li></ul>',
    3 => '<ul><li>Klicken Sie auf das Symbol unter der Spalte "Bearbeiten", um die Eigenschaften eines Eintrages zu bearbeiten.</li><li>Ordnen Sie die Eintrge an, indem Sie sie mit den Pfeilen unter der Spalte "Reihenfolge" nach oben oder unten verschieben.</li></ul>',
    4 => 'Um einen neuen Eintrag zu erstellen, geben Sie seinen Namen, seine Details, seinen Status und seine Berechtigungen an.',
    5 => 'Sobald ein Eintrag erstellt wurde, knnen Sie jederzeit zu ihm zurckkehren und seine Details und seine Berechtigungen bearbeiten.',
    6 => 'Der Men Manager erlaubt es Ihnen, den Aufbau und das Aussehen Ihrer Mens leicht zu verndern. Passen Sie die folgenden Werte an, um ein einzigartiges Men zu erstellen.'
);

###############################################################################
# logo.php

$LANG_LOGO = array(
    'logo_admin' => 'Logo',
    'instructions' => 'Mit Hilfe der Logo-Administration knnen Sie auf einfache Weise Ihr Seiten-Logo und den Untertitel bearbeiten.',
    'javascript_required' => 'Logo-Administration erfordert aktiviertes JavaScript.',
    'logo_options' => 'Logo-Verwaltung',
    'use_graphic_logo' => 'Grafik-Logo verwenden',
    'use_text_logo' => 'Text-Logo verwenden',
    'use_no_logo' => 'Kein Logo verwenden',
    'display_site_slogan' => 'Untertitel verwenden',
    'upload_logo' => 'Neues Logo auswhlen',
    'current_logo' => 'Aktuelles Logo',
    'no_logo_graphic' => 'Kein Grafik-Logo verfgbar',
    'logo_help' => '<br /><ul><li>Hochgeladene Grafik-Logos werden in der Gre nicht angepasst.</li><li>Die Standardgre fr ein Logo sollte eine Hhe von 100px und eine Breite von weniger als 500px aufweisen.</li><li>Sie knnen zwar grere Bilder hochladen, aber Sie mssen dann die Werte in der styles.css entsprechend anpassen.</li></ul>',
    'logo_saved' => 'Logo-Optionen erfolgreich gespeichert.',
    'invalid_type' => 'Ungltiges Bildformat, nur JPG, PNG, und GIF sind erlaubt',
    'invalid_size' => 'Hochgeladenes Logo ist grer als die erlaubte Gre von '
);

###############################################################################
# autotag.php

$LANG_AM = array(
    'plugin' => 'Autotag',
    'title' => 'Autotag Manager',
    'menulabel' => 'Autotags',
    'public_title' => 'Autotag bersicht',
    'tag' => 'Tag-Name',
    'type' => 'Typ',
    'module' => 'Modul',
    'description' => 'Beschreibung',
    'replacement' => 'Austausch',
    'enabled' => 'Aktiviert?',
    'click_to_enable' => 'Klicke zum aktivieren.',
    'click_to_disable' => 'Klicke zum deaktivieren.',
    'function' => 'PHPfn?',
    'autotag_editor' => 'Autotag-Editor',
    'autotag_list' => 'Autotag-bersicht',
    'edit' => 'Bearbeiten',
    'save' => 'Speichern',
    'delete' => 'Lschen',
    'cancel' => 'Abbrechen',
    'confirm' => 'Sind Sie sicher, dass Sie dieses Autotag lschen wollen?',
    'access_denied' => 'Zugriff verweigert',
    'access_denied_msg' => 'Leider haben Sie keinen Zugriff auf die Autotag-Administrationsseite. Bitte beachten Sie, dass alle nicht autorisierten Zugriffe protokolliert werden.',
    'php_msg_enabled' => 'Wenn aktiviert, wird die PHP-Klasse <b>{tag}.class.php</b> ausgefhrt. Der <b>Austausch</b> Text wird ignoriert.',
    'php_msg_norights' => '<br />HINWEIS: PHP Autotags sind aktiviert, aber der aktuelle Benutzer hat die Funktion "autotag.PHP" nicht zugewiesen und kann daher keine neuen PHP-Autotags erstellen und / oder vorhandene PHP-Autotags aktivieren oder deaktivieren.',
    'php_msg_disabled' => 'PHP Autotags wurden deaktiviert.<br />Zur Aktivierung mssen Sie die Einstellung "PHP in Autotags zulassen" im Konfigurationsfenster des Autotag Manager auf "Ja" setzen.',
    'disallowed_tag' => 'Der gewhlte Tag ist eingeschrnkt und daher nicht verfgbar. Whlen Sie ein anderes Tag.',
    'duplicate_tag' => 'Der gewhlte Tag wird bereits verwendet. Whlen Sie einen anderen Tag-Namen oder bearbeiten Sie den vorhandenen Tag.',
    'no_tag_or_replacement' => 'Sie mssen mindestens die Felder <b>Tag</b> und <b>Austausch</b> ausfllen.',
    'phpfn_missing' => 'Die Klasse "%s.class.php" existiert nicht im autotags Verzeichnis.',
    'phpfn_must_exist' => 'Sie mssen zuvor diese Klasse erstellen und sie in das Verzeichnis autotags legen, bevor Sie den zugehrigen PHP-basierten Autotag definieren.',
    'phpfn_replace' => 'Dieses Tag wird durch einen Aufruf der PHP-Klasse "{Tag-Name}.class.php" ausgefhrt.',
    'html_allowed' => '(HTML:erlaubt)',
    'instructions' => '<ul><li>Um einen Autotag zu ndern oder zu lschen, klicken Sie auf das entsprechende Symbol.</li><li>Um einen neuen Autotag zu erstellen, klicken Sie oben auf "Neu Anlegen".</li><li>Wenn es PHP-basierte Autotags gibt, die nicht bearbeitet oder aktiviert werden knnen, liegt es daran, dass Sie entweder keinen Zugriff auf die Funktion autotag.PHP haben und/oder PHP Autotags sind in der Konfiguration deaktiviert.</li></ul>',
    'public_instructions' => '<ul><li>Die vollstndige Liste der derzeit verfgbaren und aktivierten Autotags werden hier angezeigt.</li><li>Fr jeden Autotag wird das dazugehrige glFusion-Modul sowie Typ und Beschreibung angezeigt.</li><li>Anwendungsbeispiele werden mit den <i>erforderlichen</i> und {optionalen} Parametern bereitgestellt.</li><li>Wenn mehrere Optionen verfgbar sind, wird ein Link zur glFusion.org-Wiki-Dokumentation bereitgestellt.</li></ul>',
    'replace_explain' => '<ul><li>Autotags haben die Form [Tag-Name:{Parameter1} {Parameter2}].</li><li>Im "Austausch"-Feld knnen Sie jedes gltige HTML verwenden.</li><li>Sie knnen {Parameter1} und/oder {Parameter2} in Ihren Austausch-String einfgen.</li><li>{Parameter1} wird ersetzt durch das Austausch-Makros %1%, {Parameter2} durch %2%.</li><li>Autotags werden hufig verwendet, um Links wie im folgenden Beispiel, zu erstellen.<br /><br /></li><li>Ein "Austausch"-Feld von: &lt;a href="http://path.to.somewhere/%1%"&gt;%2%&lt;/a&gt;</li><li>Ergibt bei Aufruf von: [Tag-Name:foo Dies ist ein Link]</li><li>Folgenden Link: &lt;a href="http://path.to.somewhere/foo"&gt;Dies ist ein Link&lt;/a&gt;<br /><br /></li><li>Sie knnen auch %0% verwenden, um die gesamte Zeichenfolge nach dem ersten Doppelpunkt darzustellen. Dies ist praktisch, wenn Sie nur einen einzelnen Parameter verwenden mchten, der Wert aber Leerzeichen enthlt, welche aber sonst als ein Trennzeichen zwischen mehreren Parametern interpretiert werden.</li><li>Die %site_url% und $site_admin_url% Makros knnen auch verwendet werden und werden durch die Basis- bzw. Admin-URL ersetzt.</li></ul>',
    'autotagpermmsg' => 'Whlen Sie aus, welche Funktionen (Operationen) fr den Autotag verwendet werden sollen.',
    'autotag' => 'Autotag',
    'desc_showblock' => 'HTML: erzeugt einen beliebigen Block. Anwendung: [show_block:<i>block_id</i>]',
    'desc_story' => 'Link: zu einem Artiekl der Seite. (Voreinstellung link_text = Artikel Titel) Anwendung: [story:<i>story_id</i> {link_text}]',
    'desc_story_introtext' => 'HTML: zeigt die Einleitung eine Artikels. Anwendung: [story_introtext:<i>story_id</i>]',
    'desc_vmenu' => 'HTML: erzeugt ein vertikales, erweitertes JS-Men. Anwendung: [vmenu:<i>menu_id</i>]',
    'desc_hmenu' => 'HTML: erzeugt ein horizontales, erweitertes JS-Men. Anwendung: [hmenu:<i>menu_id</i>]',
    'desc_menu' => 'HTML: erzeugt ein erweitertes JS-Men. Anwendung: [menu:<i>menu_id</i>]',
    'desc_cipher' => 'Text: verschlsselt einen beliebigen Text. Anwendung: [cipher:<i>nopqrstuvwxyzabcdefghijklm</i> <i>text_to_encode</i>]',
    'desc_topic' => 'Link: zur eine Kategorie der Seite. (Voreinstellung link_text = Kategorie Beschreibung) Anwendung: [topic:<i>topic_id</i> {link_text}]',
    'desc_glfwiki' => 'Link: zu den Suchergebnissen fr den angegebenen Text auf www.glfusion.org/wiki. Anwendung: [glfwiki:<i>text</i>]',
    'desc_lang' => 'Text: expands \$LANG global var, eg. [lang:p1 p2] -> value of \$LANGp1[p2] or \$LANG_p1[p2]',
    'desc_conf' => 'Text: expands \$_CONF global var, eg. [conf:p1] -> value of \$_CONF[p1]',
    'desc_user' => 'Text: expands \$_USER global var, eg. [user:p1] -> value of \$_USER[p1]',
    'desc_wikipedia' => 'Link: zu den Suchergebnissen fr den angegebenen Text auf Wikipedia. Anwendung: [wikipedia:<i>text</i>]',
    'desc_youtube' => 'HTML: Fgt ein youtube Video ein. Anwendung: [youtube:<i>video_id</i>]',
    'desc_headlines' => 'HTML: erstellt eine Liste der Artikel-Titel. Anwendung: [headlines:<i>topic_name or all</i> display:## meta:0/1 titlelink:0/1 featured:0/1 frontpage:0/1 cols:# template:template_name]',
    'instructions_edit' => 'Hier knnen Sie Persnliche-Autotags anlegen.',
    'allowed' => 'Erlaubt',
    'namespace' => 'Bereich',
    'operation' => 'Einsatzbereich',
    'content_area' => 'Einsatzbereich',
    'check_all' => 'Alle auswhlen',
    'autotag_allowed' => 'Autotags erlauben fr ',
    'perm_saved' => 'Berechtigungen wurden gespeichert',
    'perm_instructions' => 'berprfen Sie welche Autotags, Sie fr welchen Bereich zulassen wollen.',
    'perm_header' => 'Autotag Berechtigungen nach Bereich',
    'perm_editor' => 'Berechtigungs Manager'
);

###############################################################################
# envcheck.php

$LANG_ENVCHK = array(
    'bypass_note' => 'Da entweder <b>safe_mode</b> oder <b>open_basedir</b> Einschrnkungen erkannt wurden, wurde die berprfung auf Grafik-Bibliotheken bersprungen.',
    'correct_perms' => 'Bitte beheben Sie die unten angegebenen Probleme und berprfen Sie danach Ihre Hosting-Umgebung erneut.',
    'ctype_extension' => 'Ctype-Erweiterung',
    'curl_extension' => 'Curl Extension',
    'current' => 'Derzeit',
    'current_php_settings' => 'Aktuelle PHP-Einstellungen',
    'database_version' => 'Datenbank-Version',
    'date_extension' => 'Datums-Erweiterung',
    'db_charset' => 'Datenbank-Zeichensatz',
    'db_collation' => 'Datenbank-Sortierung',
    'db_driver' => 'Datenbank-Treiber',
    'db_engine' => 'Datenbank-System',
    'db_header' => 'Datenbank-Info',
    'db_version' => 'Datenbank-Version',
    'directory_permissions' => 'Verzeichnis-Rechte',
    'enabled' => 'Aktiviert',
    'extensions' => 'Erforderliche PHP-Erweiterungen',
    'file_permissions' => 'Datei-Rechte',
    'file_uploads' => 'Viele Funktionen von glFusion erfordern die Erlaubnis, Dateien hochzuladen. Diese Funktion sollte aktiviert werden.',
    'filesystem_check' => 'Verzeichnis- und Datei-Rechte',
    'filter_extension' => 'Filter-Erweiterung',
    'gd_lib' => 'GDlib-Erweiterung',
    'gd_not_found' => 'GDlib-Erweiterung konnten nicht gefunden werden. Bitte stellen Sie sicher, dass die GDlib-Erweiterung vorhanden ist, oder whlen Sie eine Alternative aus.',
    'gd_ok' => 'GDlib-Erweiterung-v2 ist installiert.',
    'gd_v1' => 'GDlib-Erweiterung-v1 ist installiert - Diese Version untersttzt die JPG-Bildbearbeitung nicht vollstndig, daher knnten hiermit Qualittsprobleme auftreten.',
    'gettext_extension' => 'Gettext-Erweiterung',
    'graphics' => 'Grafik-Bibliothek',
    'hash_extension' => 'Message Digest (hash) Extension',
    'hide_phpinfo' => 'PHP-Info ausblenden',
    'hosting_env' => 'Hosting-Umgebung prfen',
    'im_not_found' => 'Die Datei <b>convert</b> fr ImageMagick kann nicht gefunden werden.',
    'im_ok' => 'Die Datei <b>convert</b> scheint vorhanden zu sein.',
    'imagemagick' => 'ImageMagick-Erweiterung',
    'gm_not_found' => 'Die Datei <b>gm</b> fr GraphicsMagick kann nicht gefunden werden.',
    'gm_ok' => 'Die Datei <b>gm</b> scheint vorhanden zu sein.',
    'graphicsmagick' => 'GraphicsMagick-Erweiterung',
    'is_optional' => ' optional',
    'is_required' => ' erforderlich',
    'jhead' => 'Jhead-Erweiterung',
    'jhead_not_found' => 'Die Jhead-Erweiterung konnte nicht gefunden werden.',
    'jhead_ok' => 'Die Jhead-Erweiterung scheint vorhanden zu sein.',
    'jpegtran' => 'JpegTran-Erweiterung',
    'jpegtran_not_found' => 'Die JpegTran-Erweiterung konnte nicht gefunden werden.',
    'jpegtran_ok' => 'Die JpegTran-Erweiterung scheint vorhanden zu sein.',
    'json_extension' => 'JSON-Erweiterung',
    'max_execution_time' => 'glFusion empfiehlt den PHP-Standardwert von mindestens 30 Sekunden, aber Plugin-Uploads und andere Vorgnge knnen je nach Hosting-Umgebung lnger dauern. Wenn <b>safe_mode</b> ausgeschaltet ist, knnen Sie den Wert von <b>max_execution_time</b> in Ihrer php.ini-Datei erhhen.',
    'mbstring_extension' => 'MbString-Erweiterung',
    'memory_limit' => 'Es wird empfohlen, mindestens 48MB Speicher fr diese Webseite festzulegen.',
    'mysqli_extension' => 'MySQLi-Erweiterung',
    'netpbm' => 'NetPbm-Erweiterung',
    'not_checked' => 'bersprungen',
    'not_found' => 'Nicht gefunden',
    'not_writable' => 'NICHT SCHREIBBAR',
    'notes' => 'Hinweise',
    'np_not_found' => 'Die NetPbm-Erweiterung konnte nicht gefunden werden.',
    'np_ok' => 'Die NetPbm-Erweiterung scheint vorhanden zu sein.',
    'off' => 'AUS',
    'ok' => 'OK',
    'on' => 'EIN',
    'open_basedir' => 'Wenn <b>open_basedir</b>-Beschrnkungen aktiviert sind, kann dies zu Rechteproblemen whrend der Installation fhren. Das Dateiprfsystem unten sollte mgliche Probleme aufzeigen.',
    'openssl_extension' => 'OpenSSL-Erweiterung',
    'php_req_version' => 'glFusion bentigt PHP-Version 5.3.0 oder hher.',
    'php_settings' => 'PHP-Einstellungen',
    'php_version' => 'PHP-Version',
    'php_warning' => 'Wenn einer der unten angefhrten Eintrge <span class="no">rot</span> markiert ist, kann dies zu Problemen mit Ihrem glFusion-Auftritt fhren.<br />Bei Problemen halten Sie bitte Rcksprache mit Ihrem Hoster um gegebenenfalls die PHP-Einstellungen zu ndern.',
    'phpendoflife' => 'Ihre PHP-Version, einschlielich der Sicherheitsupdates, ist veraltet und wird nicht mehr untersttzt. Bitte erwgen Sie eine Aktualisierung auf eine <a href="http://php.net/supported-versions.php" target="_blank">Untersttzte PHP-Version</a>.',
    'post_max_size' => 'glFusion ermglicht das Hochladen von Plugins, Bildern und Dateien. Hierfr sollten mindestens 8MB <b>post_max_size</b> eingestellt sein.',
    'recheck' => 'Umgebung erneut prfen',
    'recommended' => 'Empfohlen',
    'register_globals' => 'Falls PHP-<b>register_globals</b> eingeschaltet ist, kann dies zu Sicherheitsproblemen fhren.',
    'safe_mode' => 'Falls PHP-<b>safe_mode</b> eingeschaltet ist, knnen einige Funktionen in glFusion nicht richtig funktionieren. Im speziellen die Medien-Galerie.',
    'session_extension' => 'Session-Erweiterung',
    'setting' => 'Einstellung',
    'show_phpinfo' => 'PHP-Info einblenden',
    'status' => 'Status',
    'unable_mkdir' => 'Verzeichnis konnte nicht erstellt werden',
    'unknown' => 'unbekannt',
    'unlimited' => 'unbegrenzt',
    'upload_max_filesize' => 'glFusion ermglicht das Hochladen von Plugins, Bildern und Dateien. Hierfr sollten mindestens 8MB fr eingestellt sein.',
    'xml_extension' => 'XML-Erweiterung',
    'zlib_extension' => 'Zlib-Erweiterung',
    'short_open_tags' => 'PHP\'s <b>short_open_tag</b> sollte ausgeschalten sein.'
);

###############################################################################
# versioncheck.php

$LANG_UPGRADE = array(
    'recheck' => 'Version berprfen',
    'desc' => '<ul><li>Stellen Sie sicher, dass Ihre installierte glFusion-Version und die installierten Plugins auf dem neuesten Stand sind.</li><li>Der "Aktualisierungs-Manager" fragt die <b>glFusion.org</b>-Website ab, um die neuesten Versionen abzurufen und diese mit den installierten Versionen zu vergleichen.</li></ul>',
    'title' => 'Aktualisierungs-Manager',
    'upgrade_title' => 'Aktualisierung empfohlen',
    'upgrade' => 'Ihre aktuell Version %s von glFusion ist veraltet.<span class="b">Wir empfehlen Ihnen, so bald wie mglich eine Aktualisierung auf die aktuelle Version %s durchzufhren.</span> Die neueste Version von glFusion finden Sie unter <a href="http://www.glfusion.org/filemgmt/viewcat.php?cid=1" target="_blank">glFusion Support Site</a>.',
    'uptodate_title' => 'Herzlichen Glckwunsch, Ihre glFusion-Installation ist auf dem neuesten Stand.',
    'uptodate' => 'Ihre aktuelle glFusion-Installation fhrt die neueste Version aus. Wir empfehlen, dass Sie sich fr die <a href="http://www.freelists.org/list/glfusion-announce" target="_blank">glFusion Announcements Mailing List</a> anmelden, um sofortige Informationen ber Aktualisierungen und Sicherheitsfragen zu erhalten.',
    'unknown_title' => 'Der Status der glFusion-Version konnte nicht ermittelt werden',
    'unknown' => 'Wir konnten Ihre aktuelle glFusion-Version %s keiner freigegebenen Versionen zuordnen. Wenn Sie eine Entwickler-Version ausfhren, empfehlen wir Ihnen ein Abonnement der <a href="http://www.freelists.org/list/glfusion-development" target="_blank">glFusion Development Mailing List</a>. Wenn Sie keine Entwickler-Version verwenden, wenden Sie sich bitte an das <a href="http://www.glfusion.org/forum/index.php?forum=28" target="blank">glFusion Support Forum</a> fr Hilfe.',
    'error_title' => 'Bei der Verarbeitung Ihrer Anfrage ist ein Fehler aufgetreten.',
    'error' => 'Wir konnten die Versionsdaten von glFusion.org nicht abrufen. Wenn dieses Problem weiterhin besteht, besuchen Sie bitte das <a href="http://www.glfusion.org/forum/index.php?forum=28" target="blank">glFusion Support Forum</a> um zu erfahren, wie Sie Untersttzung erhalten knnen.',
    'was_released' => 'Version %s wurde verffentlicht am %s.',
    'plugin_uptodate' => 'Aktuell',
    'plugin_newer' => 'Sie fhren eine neuere Version des Plugins aus.',
    'no_data' => 'Keine Daten verfgbar.',
    'updates_available' => "Es sind Aktualisierungen verfgbar - Bitte benutzen Sie den <a href=\"{$_CONF['site_admin_url']}/vercheck.php\">Aktualisierungs-Manager</a> um verfgbare Aktualisierungen zu sehen.",
    'plugin_title' => 'Plugin Versionen berprfen',
    'plugin' => 'Plugin',
    'installed_version' => 'Installierte Version',
    'latest_version' => 'Letzte Version',
    'notes' => 'Status',
    'phpeol' => 'PHP-Version ist veraltet'
);

###############################################################################
# sfs.php

$LANG_SFS = array(
    'title' => 'Stop Forum Spam (SFS) Benutzer-Prfung',
    'instructions' => '<ul><li>Hier werden Benutzernamen, E-Mail Adresse und die IP-Adresse der Benutzer mit der Stop-Forum Spam-Datenbank abgeglichen.</li><li>Anhand der folgenden Liste knnen Sie nun verdchtige Benutzer sperren oder lschen und ihnen somit eine weiteren Verwendung Ihrer Website untersagen.</li></ul>',
    'no_record_found' => 'Kein Eintrag gefunden',
    'sfs_email_match' => 'E-Mail gefunden in SFS',
    'sfs_ip_match' => 'IP gefunden in SFS',
    'sfs_username_match' => 'Name gefunden in SFS',
    'uid' => 'UID',
    'username' => 'Benutzer Name',
    'remote_ip' => 'Benutzer IP',
    'email' => 'Benutzer E-Mail',
    'sfs_status' => 'SFS Status',
    'confirm_one' => 'Sind Sie sicher, dass Sie alle ausgewhlten Benutzer sperren mchten?',
    'confirm_two' => 'Sind Sie WIRKLICH sicher, dass Sie ALLE ausgewhlten Benutzer SPERREN mchten?',
    'action_text' => 'Benutzer sperren',
    'confirmation_ban' => 'Alle ausgewhlten Benutzer sind gesperrt',
    'confirmation_del' => 'Benutzer wurden gelscht.',
    'confirm_one_del' => 'Sind Sie sicher, dass Sie alle ausgewhlten Benutzer lschen mchten?',
    'confirm_two_del' => 'Sind Sie WIRKLICH sicher, dass Sie ALLE ausgewhlten Benutzer LSCHEN mchten?',
    'action_text_del' => 'Benutzer lschen',
    'no_data' => 'Es wurden keine Benutzer in der Benutzerdatenbank gefunden.'
);


###############################################################################
# Localization of the Admin Configuration UI

$LANG_CONFIG = array(
    'home' => 'Startseite',
    'admin_home' => 'Kommandozentrale',
    'sections' => 'Bereiche Konfigurieren',
    'restore' => 'Zurcksetzen',
    'add_element' => 'Hinzufgen',
    'save_changes' => 'Speichern',
    'reset_form' => 'Zurcksetzen',
    'changes_made' => 'nderungen wurden erfolgreich bernommen',
    'title' => 'Konfiguration',
    'disable' => 'Deaktivieren',
    'enable' => 'Aktivieren',
    'search' => 'Konfiguration durchsuchen',
    'hash_ext_missing' => 'Missing Message Digest (Hash) Extension - Two Factor Authentication cannot be enabled.'
);

$LANG_configsections['Core'] = array(
    'label' => 'glFusion',
    'title' => 'glFusion-Konfiguration'
);

$LANG_confignames['Core'] = array(
    'path_html' => 'Pfad zum Webroot',
    'site_url' => 'URL der Seite',
    'site_admin_url' => 'URL zum Adminbereich',
    'site_mail' => 'Seiten E-Mail',
    'noreply_mail' => 'No-Reply E-Mail',
    'site_name' => 'Name der Seite',
    'site_slogan' => 'Untertitel',
    'path_log' => 'Pfad zum Log',
    'path_language' => 'Pfad zu Sprachdateien',
    'backup_path' => 'Pfad zum Backup',
    'path_data' => 'Pfad zu Data',
    'path_images' => 'Pfad zu Images',
    'mail_settings' => 'Einstellungen ',
    'theme' => 'Design',
    'menu_elements' => 'Elemente des Mens',
    'path_themes' => 'Pfad zu Designs',
    'disable_new_user_registration' => 'Benutzerregistrierung abschalten',
    'allow_user_themes' => 'Benutzer kann Design whlen',
    'allow_user_language' => 'Benutzer kann Sprache whlen',
    'allow_user_photo' => 'Benutzer kann Foto hochladen',
    'allow_username_change' => 'Benutzer kann Benutzername ndern',
    'allow_account_delete' => 'Benutzer kann Konto lschen',
    'hide_author_exclusion' => 'Beim Artikel steht kein Autor',
    'show_fullname' => 'Kompletter Name wird angezeigt',
    'hide_exclude_content' => 'Inhalte im Profil verstecken',
    'show_servicename' => 'Name des Service wird angezeigt',
    'custom_registration' => '"Custom Registration" aktivieren',
    'user_login_method' => 'Anmeldemethode ',
    'facebook_login' => 'Facebook Login Aktivieren',
    'facebook_consumer_key' => 'Facebook OAuth Application ID',
    'facebook_consumer_secret' => 'Facebook OAuth Application Secret',
    'linkedin_login' => 'LinkedIn Login Aktivieren',
    'linkedin_consumer_key' => 'LinkedIn OAuth API Key',
    'linkedin_consumer_secret' => 'LinkedIn OAuth Secret Key',
    'twitter_login' => 'Twitter Login Aktivieren',
    'twitter_consumer_key' => 'Twitter OAuth Consumer Key',
    'twitter_consumer_secret' => 'Twitter OAuth Consumer Secret',
    'google_login' => 'Google Login Aktivieren',
    'google_consumer_key' => 'Google OAuth Consumer Key',
    'google_consumer_secret' => 'Google OAuth Consumer Secret',
    'microsoft_login' => 'Microsoft Login Aktivieren',
    'microsoft_consumer_key' => 'Microsoft OAuth Consumer Key',
    'microsoft_consumer_secret' => 'Microsoft OAuth Consumer Secret',
    'github_login' => 'Github Login Aktivieren',
    'github_consumer_key' => 'Github OAuth Client ID',
    'github_consumer_secret' => 'Github OAuth Client Secret',
    'spamx' => 'Spam-X Aktionen',
    'sort_admin' => 'Admin Links sortieren',
    'language' => 'Sprache',
    'locale' => 'Gebietsschema',
    'date' => 'Datumsformat',
    'daytime' => 'Format Tag und Zeit',
    'shortdate' => 'Format kurzes Datum',
    'dateonly' => 'Format nur Datum',
    'timeonly' => 'Format nur Zeit',
    'week_start' => 'Wochenanfang',
    'hour_mode' => '12 oder 24h-Modus',
    'thousand_separator' => 'Tausender-Trennzeichen',
    'decimal_separator' => 'Dezimal-Trennzeichen',
    'decimal_count' => 'Stellen hinter dem Komma',
    'language_files' => 'Sprachdateien',
    'languages' => 'Sprachen',
    'timezone' => 'Zeitzone',
    'site_disabled_msg' => 'Text oder URL bei Wartungsmodus',
    'rootdebug' => 'Root Debugging',
    'cookie_session' => 'Sitzung Cookie Name',
    'cookie_name' => 'Permanent Cookie Name',
    'cookie_password' => 'Passwort Cookie Name',
    'cookie_theme' => 'Design Cookie Name',
    'cookie_language' => 'Sprache Cookie Name',
    'cookie_tzid' => 'Zeitzone Cookie Name',
    'cookie_ip' => 'Cookies embed IP',
    'default_perm_cookie_timeout' => 'Permanent Timeout',
    'session_cookie_timeout' => 'Sitzung Zeitlimit',
    'cookie_path' => 'Cookie Pfad',
    'cookiedomain' => 'Cookie Domain',
    'cookiesecure' => 'Cookie Secure',
    'lastlogin' => 'Letzte Anmeldung aufzeichnen',
    'num_search_results' => 'Anzahl Suchergebnisse',
    'loginrequired' => 'Anmelden generell ntig',
    'submitloginrequired' => 'Anmelden fr Einsendungen',
    'commentsloginrequired' => 'Anmelden fr Kommentare',
    'statsloginrequired' => 'Anmelden fr Statistik',
    'searchloginrequired' => 'Anmelden fr Suche',
    'profileloginrequired' => 'Anmelden fr Profileinsicht',
    'emailuserloginrequired' => 'Anmelden fr E-Mail an Benutzer',
    'emailstoryloginrequired' => 'Anmelden fr E-Mail Artikelversand',
    'directoryloginrequired' => 'Anmelden fr Artikelverzeichnis',
    'storysubmission' => 'Artikel Einsendungen erlauben',
    'usersubmission' => 'Neue Benutzer zur Moderation',
    'listdraftstories' => 'Entwurf bei Einsendungen anzeigen',
    'notification' => 'Benachrichtigung',
    'postmode' => 'Standard-Beitragsmodus',
    'mailuser_postmode' => 'HTML oder Text bei E-Mails',
    'speedlimit' => 'Beitrag Wartezeit in Sek.',
    'skip_preview' => 'Vorschau berspringen in Posts',
    'cron_schedule_interval' => 'Cron Zeitabstand',
    'sortmethod' => 'Kategorien sortieren',
    'showstorycount' => 'Anzahl Artikel anzeigen',
    'showsubmissioncount' => 'Zahl offener Einsendungen anzeigen',
    'hide_home_link' => 'Home Link ausblenden',
    'whosonline_threshold' => 'Sitzung ist gltig (sec.)',
    'whosonline_anonymous' => 'Namen fr Gste ausblenden',
    'whosonline_photo' => 'Benutzerbild anzeigen',
    'emailstories' => 'Einschalten',
    'emailstorieslength' => 'Lnge der Artikel',
    'emailstoriesperdefault' => 'Neuen Benutzern alles zusenden',
    'allow_domains' => 'Automatisch erlaubte Domains',
    'disallow_domains' => 'Automatisch verbotene Domains',
    'newstoriesinterval' => 'Zeitabstand fr neue Artikel',
    'newcommentsinterval' => 'Zeitabstand fr neue Kommentare',
    'newtrackbackinterval' => 'Zeitabstand fr neue Trackbacks',
    'hidenewstories' => 'Neue Artikel ausblenden',
    'hidenewcomments' => 'Neue Kommentare ausblenden',
    'hidenewtrackbacks' => 'Neue Trackbacks ausblenden',
    'hidenewplugins' => 'Neue Plugin-Eintrge ausblenden',
    'title_trim_length' => 'Titel abschneiden nach',
    'trackback_enabled' => 'Trackback erlauben',
    'pingback_enabled' => 'Pingback erlauben',
    'ping_enabled' => 'Ping erlauben',
    'trackback_code' => 'Trackback-Standard',
    'multiple_trackbacks' => 'Mehrere Trackbacks',
    'trackbackspeedlimit' => 'Trackback Speed-Limit',
    'check_trackback_link' => 'Trackbacks gegenprfen',
    'pingback_self' => 'Pingback an eigene Seite',
    'pingback_excerpt' => 'Pingback-Auszug erzeugen',
    'link_documentation' => 'Link zur Dokumentation',
    'link_versionchecker' => 'Link zum Versions-Checker',
    'hide_adminmenu' => 'Admin-Men nur im Adminbereich',
    'maximagesperarticle' => 'Max. Bilder pro Artikel',
    'limitnews' => 'Artikel pro Seite',
    'minnews' => 'Min. Artikel pro Seite',
    'contributedbyline' => 'Autor anzeigen',
    'hideviewscount' => 'Anzeigezhler ausblenden',
    'hideemailicon' => 'E-Mail-Icon ausblenden',
    'hideprintericon' => 'Druck-Icon ausblenden',
    'allow_page_breaks' => 'Seitenumbrche erlauben',
    'page_break_comments' => 'Kommentare auf Mehrseiten-Artikeln',
    'article_image_align' => 'Ausrichtung Kategorie-Icon',
    'show_topic_icon' => 'Kategorie Icon anzeigen',
    'draft_flag' => 'Neue Artikel als Entwurf',
    'frontpage' => 'Neue Artikel auf der Titelseite',
    'hide_no_news_msg' => '"Keine News" - Info ausblenden',
    'hide_main_page_navigation' => 'Hauptseiten-Navigation ausblenden',
    'onlyrootfeatures' => 'Hauptartikel nur fr Root',
    'aftersave_story' => 'Nach dem Artikel speichern',
    'aftersave_user' => 'Nach dem Benutzer speichern',
    'show_right_blocks' => 'Immer rechte Blcke anzeigen',
    'showfirstasfeatured' => 'Ersten Artikel als Hauptartikel',
    'backend' => 'Feed einschalten',
    'rdf_file' => 'Ausgabe-Unterverzeichnis',
    'rdf_limit' => 'Feed-Limit',
    'rdf_storytext' => 'Artikellnge',
    'rdf_language' => 'Sprache',
    'syndication_max_headlines' => 'Max. Anzahl von berschriften',
    'copyrightyear' => 'Copyright Jahr',
    'image_lib' => 'Image-Library',
    'path_to_mogrify' => 'Pfad zu ImageMagick',
    'path_to_netpbm' => 'Pfad zu Netpbm',
    'debug_image_upload' => 'Debug Image-Upload',
    'keep_unscaled_image' => 'Bild in Originalgre behalten',
    'allow_user_scaling' => 'Benutzer darf skalieren',
    'max_image_width' => 'Max. Bild-Breite',
    'max_image_height' => 'Max. Bild-Hhe',
    'max_image_size' => 'Max. Bild-Gre',
    'max_topicicon_width' => 'Max. Icon-Breite',
    'max_topicicon_height' => 'Max. Icon-Hhe',
    'max_topicicon_size' => 'Max. Icon-Gre',
    'max_photo_width' => 'Max. Foto-Breite',
    'max_photo_height' => 'Max. Foto-Hhe',
    'max_photo_size' => 'Max. Foto-Gre',
    'use_gravatar' => 'Gravatar benutzen',
    'gravatar_rating' => 'Gravatar-Bewertung mglich',
    'force_photo_width' => 'Fotogre erzwingen',
    'default_photo' => 'Standard-Foto',
    'commentspeedlimit' => 'Kommentar Wartezeit in Sek.',
    'comment_limit' => 'Max. Anzahl Kommentare',
    'comment_mode' => 'Kommentar Anzeigemodus',
    'comment_code' => 'Kommentar Standardeinstellung',
    'comment_edit' => 'Kommentare bearbeitbar',
    'comment_edittime' => 'Zeitspanne frs Bearbeiten in Sek.',
    'commentsubmission' => 'Moderation von Kommentaren',
    'passwordspeedlimit' => 'Passwort Wartezeit in Sek.',
    'login_attempts' => 'Max. Anmeldeversuche',
    'login_speedlimit' => 'Anmeldung Wartezeit in Sek.',
    'user_html' => 'Erlaubtes Benutzer HTML',
    'admin_html' => 'Erlaubtes Admin HTML',
    'skip_html_filter_for_root' => 'HTML des Root nicht filtern',
    'allowed_protocols' => 'Erlaubte Protokolle',
    'disable_autolinks' => 'Autolinks ausschalten',
    'censormode' => 'Zensur-Modus',
    'censorreplace' => 'Zensurwort ersetzen mit',
    'censorlist' => 'Liste zensierter Wrter',
    'ip_lookup' => 'IP Lookup',
    'url_rewrite' => 'URL-Rewrite einschalten',
    'fb_appid' => 'Facebook App ID',
    'default_permissions_block' => 'Standard-Blockrechte',
    'default_permissions_story' => 'Standard-Artikelrechte',
    'default_permissions_topic' => 'Standard-Kategorierechte',
    'article_comment_close_days' => 'Tage bis Kommentare geschlossen werden (Standardeinstellung)',
    'comment_close_rec_stories' => 'Anzahl der letzten Artikel, bei denen Kommentare eingeschaltet sind.',
    'comment_indent' => 'Anzahl der Pixel zum Einrcken jedes untergeordneten Kommentars',
    'use_safe_html' => 'Den sicheren HTML-Modus benutzen',
    'jhead_enabled' => 'JHEAD einschalten',
    'jpegtrans_enabled' => 'jpegtrans einschalten',
    'path_to_jhead' => 'Pfad zu JHEAD executable',
    'path_to_jpegtrans' => 'Pfad zu jpegtrans executable',
    'allow_reply_notifications' => 'Benachrichtigung auf Kommentarantworten erlauben',
    'search_style' => 'Stil der Ergebnisliste',
    'search_limits' => 'Seitenllimits',
    'search_show_num' => 'Ergebnisanzahl anzeigen',
    'search_show_type' => 'Ergebnistyp anzeigen',
    'search_show_user' => 'Autor anzeigen',
    'search_show_hits' => 'Anzahl Treffer anzeigen',
    'search_show_sort' => 'Darf Benutzer Ergebnisse sortieren',
    'search_show_limit' => 'Seitenlimits anzeigen',
    'search_no_data' => 'Anzeige bei null Treffer',
    'search_separator' => 'Gruppen-Trenner',
    'search_def_keytype' => 'Standard-Suchmethode',
    'mail_backend' => 'Mail Backend',
    'mail_sendmail_path' => 'Pfad zu Sendmail',
    'mail_sendmail_args' => 'Sendmail-Parameter',
    'mail_smtp_host' => 'SMTP Hostname',
    'mail_smtp_port' => 'SMTP Port',
    'mail_smtp_auth' => 'SMTP Auth erforderlich',
    'mail_smtp_username' => 'SMTP Auth Benutzername',
    'mail_smtp_password' => 'SMTP Auth Passwort',
    'mail_smtp_secure' => 'SMTP Sicherheitsprotokoll',
    'default_search_order' => 'Standard-Sortierung',
    'compress_css' => 'CSS komprimieren',
    'jpg_orig_quality' => 'JPEG Qualittsfaktor',
    'allow_embed_object' => 'EMBED Object erlauben',
    'story_submit_by_perm_only' => 'Erlaube Einsendungen nur in Kategorien mit Schreibberechtigung',
    'use_from_site_mail' => 'Immer Seiten E-Mail als Absender',
    'cache_templates' => 'Template-Caching aktivieren',
    'template_comments' => 'Template-Kommentare aktivieren',
    'hidestorydate' => 'Artikeldatum ausblenden',
    'maintenance_mode' => 'Wartungsmodus aktivieren',
    'rating_enabled' => 'Bewertung erlauben fr',
    'user_reg_fullname' => 'Voller Name bei Anmeldung',
    'session_ip_check' => 'berprfung Sitzung-IP',
    'article_comment_close_enabled' => 'Kommentare automatisch schlieen (Standarteinstellung)',
    'registration_type' => 'Registrierungsart',
    'comment_postmode' => 'Kommentar Eingabeart',
    'max_logo_width' => 'Max. Logo-Breite',
    'max_logo_height' => 'Max. Logo-Hhe',
    'whatsnew_cache_time' => 'Wartezeit fr "Was ist neu"',
    'hideemptyblock' => '"Was ist neu" ausblenden wenn leer',
    'update_check_interval' => 'Aktualisierungs-Interval',
    'send_site_data' => 'Seiten Info senden',
    'rating_speedlimit' => 'Bewertung Wartezeit in Sek.',
    'htmlfilter_default' => 'Standard zulssiges HTML',
    'htmlfilter_comment' => 'HTML erlaubt in Kommentaren',
    'htmlfilter_story' => 'HTML erlaubt in Artikeln',
    'htmlfilter_root' => 'Zustzliches HTML fr Root',
    'min_username_length' => 'Mindetslnge Benutzername',
    'bb2_enabled' => 'Bad Behavior2 aktiviert',
    'bb2_ban_enabled' => 'Automatisches sperren',
    'bb2_ban_log' => 'Autom. Sperren aufzeichnen',
    'bb2_display_stats' => 'Statistik anzeigen',
    'bb2_strict' => 'Strenge Prfung',
    'bb2_verbose' => 'Ausfhrliches Protokoll',
    'bb2_logging' => 'Protokollierung aktiviert',
    'bb2_httpbl_key' => 'http:BL Key',
    'bb2_httpbl_threat' => 'http:BL Threat Threshold',
    'bb2_httpbl_maxage' => 'http:BL Max Age',
    'bb2_offsite_forms' => 'Fremde Formulare erlauben',
    'bb2_eu_cookie' => 'EU Cookie',
    'bb2_ban_timeout' => 'Stunden fr IP-Sperre',
    'bb2_reverse_proxy' => 'Reverse Proxy Support (i.e.; CloudFlare)',
    'bb2_reverse_proxy_header' => 'Proxy Header',
    'bb2_reverse_proxy_addresses' => 'Proxy Addresses',
    'infinite_scroll' => 'Endloses scrollen',
    'comment_engine' => 'Kommentar-System',
    'comment_disqus_shortname' => 'Disqus Kurzname',
    'comment_fb_appid' => 'Facebook App ID',
    'open_ext_url_new_window' => 'Externe Links in neuem Fenster',
    'enable_404_logging' => '404-Fehler aufzeichnen',
    'debug_oauth' => 'Oauth Fehler aufzeichnen',
    'debug_html_filter' => 'HTML-Filter Fehler aufzeichnen',
    'standard_auth_first' => '"Standard Auth" als erstes in Dropdown',
    'commentssubmission' => 'Warteschlange fr Kommentare',
    'enable_twofactor' => 'Zweistufige Anmeldung',
    'pwd_min_length' => 'Min. PW-Lnge (0 = deaktiviert)',
    'pwd_max_length' => 'Max. PW-Lnge (0 = deaktiviert)',
    'pwd_req_num' => 'Zahlen erforderlich',
    'pwd_req_letter' => 'Buchstaben erforderlich',
    'pwd_req_cap' => 'Grobuchstaben erforderlch',
    'pwd_req_lower' => 'Kleinbuchstaben erforderlich',
    'pwd_req_symbol' => 'Sonderzeichen erforderlich',
    'story_sort_by' => 'Story List Sort Field',
    'story_sort_dir' => 'Story List Sort Direction'
);

$LANG_configsubgroups['Core'] = array(
    'sg_site' => 'Seiteninfo &amp; Konfiguration',
    'sg_stories' => 'Artikel &amp; Track-Pingback',
    'sg_theme' => 'Design &amp; Darstellung',
    'sg_blocks' => 'Blcke &amp; Einstellungen',
    'sg_users' => 'Benutzer &amp; Beitrge',
    'sg_images' => 'Bilder &amp; Icon &amp; Logo',
    'sg_locale' => 'Sprache &amp; Lokalisierung',
    'sg_misc' => 'Vermischtes &amp; Rechte',
    'sg_spam' => 'Spam &amp; Bot Protection'
);

$LANG_fs['Core'] = array(
    'fs_site' => 'Seite',
    'fs_paths' => 'Pfade',
    'fs_theme' => 'Design',
    'fs_mail' => 'Mail',
    'fs_users' => 'Benutzer',
    'fs_misc' => 'Vermischtes',
    'fs_spamx' => 'Spam-X',
    'fs_admin_block' => 'Admin-Block',
    'fs_locale' => 'Lokalisierung',
    'fs_language' => 'Sprache',
    'fs_debug' => 'Debug',
    'fs_cookies' => 'Cookies',
    'fs_login' => 'Anmeldeeinstellungen',
    'fs_search' => 'Suche',
    'fs_user_submission' => 'Benutzerregistrierung',
    'fs_submission' => 'Registrierungseinstellungen',
    'fs_topics_block' => 'Kategorien-Block',
    'fs_whosonline_block' => 'Wer ist online-Block',
    'fs_daily_digest' => 'NEWS-Abo',
    'fs_whatsnew_block' => 'Was ist neu-Block',
    'fs_trackback' => 'Trackback',
    'fs_pingback' => 'Pingback',
    'fs_story' => 'Artikel',
    'fs_theme_advanced' => 'Erweiterte Einstellungen',
    'fs_syndication' => 'Feed',
    'fs_imagelib' => 'Image-Library',
    'fs_upload' => 'Upload',
    'fs_articleimg' => 'Bilder in Artikeln',
    'fs_topicicon' => 'Kategorie-Icon',
    'fs_userphoto' => 'Fotos',
    'fs_gravatar' => 'Gravatar',
    'fs_comments' => 'Kommentare',
    'fs_htmlfilter' => 'HTML Filterung',
    'fs_censoring' => 'Zensieren',
    'fs_iplookup' => 'IP Lookup',
    'fs_perm_story' => 'Standard-Artikelrechte',
    'fs_perm_topic' => 'Standard-Kategorierechte',
    'fs_perm_block' => 'Standard-Blockrechte',
    'fs_caching' => 'Caching',
    'fs_mulitlanguage' => 'Mehrsprachiger Auftritt ',
    'fs_logo' => 'Logo-Optionen',
    'fs_update' => 'Aktualisierungs-Manager',
    'fs_rating' => 'Bewertungs-Optionen',
    'fs_spam_config' => 'Konfiguration',
    'fs_authentication' => 'Anmeldung',
    'fs_pwd_complexity' => 'Passwort Anforderungen'
);

$LANG_configselects['Core'] = array(
    0 => array('Ja' => 1, 'Nein' => 0),
    1 => array('Ja' => true, 'Nein' => false),
    2 => array('Zurckweisen' => 0, 'Nur letzten behalten' => 1, 'Mehrfache Posts erlauben' => 2),
    3 => array('Trackbacks erlaubt' => 0, 'Keine Trackbacks' => -1),
    4 => array('Nichts prfen' => 0, 'Seiten URL prfen' => 1, 'Volle URL prfen' => 2, 'Seiten URL und volle URL prfen' => 3, 'Trackback IP mit Seiten IP vergleichen' => 4, 'IP und Seiten URL prfen' => 5, 'IP und volle URL prfen' => 6, 'IP, volle URL, und Seiten URL prfen' => 7),
    5 => array('als Text' => 'plaintext', 'in HTML' => 'html'),
    6 => array('12' => 12, '24' => 24),
    7 => array('Letzte Seite' => 'last', 'Erste Seite' => 'first', 'Jede Seite' => 'all'),
    8 => array('Rechts' => 'right', 'Links' => 'left'),
    9 => array('Auf Seite weiterleiten' => 'item', 'Liste anzeigen' => 'list', 'Startseite anzeigen' => 'home', 'Admin anzeigen' => 'admin'),
    10 => array('Netpbm' => 'netpbm', 'GraphicsMagick' => 'graphicsmagick', 'ImageMagick' => 'imagemagick', 'gdLib' => 'gdlib'),
    11 => array('Der Reihe nach' => 'flat', 'Verschachtelt' => 'nested', 'Keine Kommentare' => 'nocomment'),
    12 => array('Kein Zugang' => 0, 'Nur Lesen' => 2, 'Lesen & Schreiben' => 3),
    13 => array('Uberspringen' => 0, 'Erlauben mit Speed-Limit' => 1, 'Erlauben ohne Speed-Limit' => 2),
    14 => array('Sonntag' => 'Sun', 'Montag' => 'Mon'),
    15 => array('Nummerisch' => 'sortnum', 'Alphabetisch' => 'alpha'),
    16 => array('Keine Anmeldung bentigt' => 0, 'Nur erweiterte Suche' => 1),
    17 => array('Kommentare eingeschaltet' => 0, 'Kommentare ausgeschaltet' => -1),
    18 => array('Google' => 'google', 'Tabelle' => 'table'),
    19 => array('Exakter Ausdruck' => 'phrase', 'Alle Worte' => 'all', 'Irgendeines der Worte' => 'any'),
    20 => array('Mail' => 'mail', 'Sendmail' => 'sendmail', 'SMTP' => 'smtp'),
    21 => array('Nichts' => 'none', 'TLS' => 'tls', 'SSL' => 'ssl'),
    22 => array('Datum' => 'date', 'Titel' => 'title', 'Autor' => 'uid', 'Treffer' => 'hits'),
    23 => array('Deaktiviert' => 0, 'Aktiviert (Exakt. bereinstimmung)' => 1, 'Aktiviert (Wortanfag)' => 2, 'Aktiviert (Wortfragment)' => 3),
    24 => array('Deaktiviert' => 0, 'Eingeloggte Benutzer' => 1, 'Jeder' => 2),
    25 => array('Nein' => 0, 'Optional' => 1, 'Bentigt' => 2),
    26 => array('Keine' => 0, 'A.B' => 1, 'A.B.C' => 2, 'All' => 3),
    27 => array('Zuflliges Passwort' => 0, 'Benutzer Passwort' => 1),
    28 => array('Text Box' => 0, 'WYSIWYG Editor' => 1),
    29 => array('Tglich' => 86400, 'Wchentlich' => 604800, 'Stndlich' => 3600, 'Immer' => 0),
    30 => array('Intern' => 'internal', 'Disqus' => 'disqus', 'Facebook' => 'facebook'),
    31 => array('Disabled' => 0, 'Anonymous Users Only' => 1, 'All Users' => 2),
    32 => array('Descending' => 'DESC', 'Ascending' => 'ASC'),
    33 => array('Date' => 'date', 'Title' => 'title', 'Author' => 'uid', 'Hits' => 'hits', 'Story ID' => 'sid'),
    34 => array('HTML' => 0, 'Visual' => 1),
    35 => array('New Stories' => 'story', 'New Comments' => 'comment', 'New Trackbacks' => 'trackback', 'New Pingbacks' => 'pingback', 'New Users' => 'user')
);

?>